DROP TABLE IF EXISTS `blog_articles`;
CREATE TABLE IF NOT EXISTS `blog_articles` (
  `content_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `category_id` int(11) unsigned DEFAULT NULL,
  `autofeed` int(11) DEFAULT '0',
  `title` varchar(250) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `contact_id` int(11) DEFAULT NULL,
  `author` varchar(100) DEFAULT NULL,
  `dateposted` datetime DEFAULT '0000-00-00 00:00:00',
  `expirationdate` date DEFAULT '0000-00-00',
  `approval` char(1) DEFAULT NULL,
  `display` char(1) DEFAULT NULL,
  `content` text,
  `original_content` text NOT NULL,
  `rating` double DEFAULT NULL,
  `votes` int(11) unsigned DEFAULT NULL,
  `image` varchar(250) DEFAULT NULL,
  `comment` text,
  `location` char(1) DEFAULT NULL,
  `section_id` int(11) unsigned DEFAULT NULL,
  `featured` char(1) DEFAULT NULL,
  `source` text,
  `source_link_display` varchar(20) NOT NULL DEFAULT 'none',
  `show_details` tinyint(3) NOT NULL DEFAULT '0',
  `status` varchar(20) DEFAULT NULL,
  `edited_flag` tinyint(3) NOT NULL DEFAULT '0',
  PRIMARY KEY (`content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ;

INSERT INTO `blog_articles` (`content_id`, `category_id`, `title`, `user_id`, `contact_id`, `author`, `dateposted`, `expirationdate`, `approval`, `display`, `content`, `original_content`, `rating`, `votes`, `image`, `comment`, `location`, `section_id`, `featured`, `show_details`, `source`, `autofeed`, `status`, `edited_flag`) VALUES
(1, 1, 'Exotic Argan Oil', NULL, 1, 'Jimny Test', DATE_SUB(NOW(),INTERVAL 3 DAY), DATE_ADD(NOW(),INTERVAL 362 DAY), 'Y', 'Y', '<p>\r\n	Vacaville, CA (MyPR) -- Argan oil is fast gaining a foothold in the US market. A produce that is primarily found in Morocco, it has been praised by alternative health practitioners for its many amazing benefits. Argan oil is a staple for many countries since many centuries ago. It is used as food flavor, including dressing in salads like what you do with olive oil. The nutrient value is quite high, and it nourishes body cells with no side effects. Some people even find it useful as a medicine for curing stomach ache.</p>\r\n<p>\r\n Argan oil is high in essential fatty acids. It comprises a combination of nearly 80 percent palmitic acid, stearic acid, oleic acid, linoleic acid, and linolenic acid. A diet that includes Argan oil would be good for the body inside and out and good for those with dry skin.</p>\r\n<p>\r\n  Another amazing thing about Argan oil is its long shelf life. It oxidizes very slowly and will last for as long as 20 years when extracted by traditional methods.  The rise in demand in Europe and North America has resulted in new processing methods. These new methods seem to produce the same high quality food and skin care treatment products in much quicker time, which helps to lower the cost.</p>\r\n<p>\r\n Argan oil is somewhat hard to find in the U.S. because it is not a mass market product yet. However, a little of research in your friendly neighborhood and online stores, will surprise you in a pleasant way. </p>\r\n<p>\r\n  I encourage you to check out this amazing product, try it, and see how well it works for you. Perhaps, you will come to enjoy it as much as I do.</p>\r\n', '', 5, 5, 'arganoil.png', '[]', 'L', 1, 'Y', 1, 'http://', 0, 'F', 0),
(2, 3, 'RFID for Your Skin', NULL, 2, 'Nicole Test', DATE_SUB(NOW(),INTERVAL 5 DAY), DATE_ADD(NOW(),INTERVAL 360 DAY), 'Y', 'Y', '<p>\r\n	London (MyPR) -- Doctors worldwide will be able to store medical information under the skin of their patients soon. As reported by a major medical association, RFID devices the size of a grain of rice that are implanted with a needle could give doctors everywhere quick access to the records of any patient, any time, anywhere.</p>\r\n<p>\r\n	FDA has already approved these RFID devices for use in improving the safety and quality of patient care by making the information instantly available in a secured manner. Only those with authorized access can read the medical information.</p>\r\n<p>\r\n These RFID devices are similar to those use by bookstores and grocery stores that are used to remotely identify and track their inventories. However, the functions are similar. The information is typically read using a hand-held scanner.</p>\r\n<p>\r\n  Studies show that implanting RFID devices in people can improve the continuity and coordination of patient care with less adverse drug events and medical errors.</p>\r\n<p>\r\n  There is some downside as these devices may pose some physical risks, compromise patient privacy, or present other social hazards. HIPAA is the primary concern as it concerns privacy of the information stored on the device. But in life, nothing is 100% secure.</p>\r\n<p>\r\n	The RFID devices have come a long way. They are now ready to be deployed in clinics and hospitals. Despite the risks, they will allow patients to receive better care from their providers.</p>\r\n', '', 4.5, 10, 'rfid.png', '[]', 'R', 1, 'Y', 1, 'http://', 0, 'F', 0),
(3, 4, 'New Beauty Salon Web Site Launched', NULL, 3, 'Kareena Test', DATE_SUB(NOW(),INTERVAL 7 DAY), DATE_ADD(NOW(),INTERVAL 358 DAY), 'Y', 'Y', '<p>\r\n	Sterling, VA (MyPR) -- There is a great deal that people can do to decrease premature aging of skin and also to reverse aging that has already occurred without resorting to plastic surgery. Today, a new Web site has been launched by Beauty Salon to help people acquire great skin care techniques, says its CEO Mary Smith.</p>\r\n<p>\r\n	This dedicated online skin care resource includes such information as how people can practice better skin care routines, how to maintain skin health and beauty, and how to slow down skin aging. It also provides ample reviews on skincare products based on field studies. Readers will learn how to keep skin young looking, how to care for their specific skin typse, how to shop to save money, and what to do if they run into skin problems. </p>\r\n<p>\r\n Beauty Salon site employs both paid and volunteers to collect and index valuable skin care information from a variety of sources. They also welcome reader contribution and sharing of their experiences. It aims to be come the biggest skin care community in the country.</p>\r\n<p>\r\n	It also has information that is used by beauty salons around the world. As a pioneer in skin care techniques, Beauty Salon is sharing their secrets with everyone who wants to enhance their skin care techniques. Many people will appreciate this effort by Beauty Salon with improved skin health and better looking skin.</p>\r\n', '', 4.1, 16, 'beauty.png', '[]', 'L', 1, 'N', 1, 'http://', 0, 'A', 0);


DROP TABLE IF EXISTS blog_categories;
CREATE TABLE blog_categories (
  category_id int(11) unsigned NOT NULL AUTO_INCREMENT,
  main_id int(11) unsigned default NULL,
  category varchar(250) DEFAULT NULL,
  description text,
  grouping int(11) unsigned default NULL,
  PRIMARY KEY (category_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO blog_categories (category_id, main_id, category, description, grouping) VALUES
(1, 0, 'Skin Care', 'Description of Skin Care', 1),
(2, 0, 'Hair Style', 'Description of Hair Style', 2),
(3, 0, 'Nutrition', 'Description of Nutrition', 3),
(4, 0, 'Beauty Guide', 'Description of Cosmetics', 4),
(5, 0, 'Perfumes', 'Description of Perfumes', 5);


DROP TABLE IF EXISTS `blog_comments`;
CREATE TABLE IF NOT EXISTS `blog_comments` (
  `comment_id` int(11) NOT NULL AUTO_INCREMENT,
  `data_id` int(11) NOT NULL DEFAULT '0',
  `name` varchar(250) NOT NULL DEFAULT '',
  `feedback` varchar(1500) NOT NULL DEFAULT '',
  `scores` varchar(1500) NOT NULL DEFAULT '[]',
  `flags` varchar(1000) NOT NULL DEFAULT '[]',
  `rating` int(5) NOT NULL DEFAULT '0',
  `posted_datetime` datetime NOT NULL,
  PRIMARY KEY (`comment_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `blog_facebook_posting`;
CREATE TABLE IF NOT EXISTS `blog_facebook_posting` (
  `posting_id` int(11) NOT NULL AUTO_INCREMENT,
  `content_id` int(11) NOT NULL DEFAULT '0',
  `post_scheduled_history` text NOT NULL,
  `post_immediate_history` text NOT NULL,
  PRIMARY KEY (`posting_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `blog_facebook_posting` (`posting_id`, `content_id`, `post_scheduled_history`, `post_immediate_history`) VALUES
(1, 1, '[]', '[]'),
(2, 2, '[]', '[]'),
(3, 3, '[]', '[]');


DROP TABLE IF EXISTS `blog_links`;
CREATE TABLE IF NOT EXISTS `blog_links` (
  `link_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(250) DEFAULT NULL,
  `url` varchar(250) DEFAULT NULL,
  PRIMARY KEY (`link_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `blog_links` (`link_id`, `title`, `url`) VALUES
(1, 'Google', 'http://www.google.com'),
(2, 'Yahoo', 'http://www.yahoo.com'),
(3, 'Bing', 'http://www.bing.com');


/* Also update "Use Default" data in Model setting file. */    
DROP TABLE IF EXISTS `blog_settings`;
CREATE TABLE IF NOT EXISTS `blog_settings` (
  `useroption` varchar(100) NOT NULL DEFAULT '',
  `setting` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `blog_settings` (`useroption`, `setting`) VALUES
('blog_homepage_display', 'header_general'),
('blog_homepage_header', ''),
('blog_homepage_info', ''),
('blog_homepage_content', ''),
('blog_pageurl', ''),
('blog_plusurl', ''),
('blog_publishingstyle', 'Simple'),
('blog_recentlisting', '5'),
('blog_summarywords', '50'),
('blog_categories', 'Yes'),
('blog_history', 'Yes'),
('blog_user', 'Yes'),
('blog_sortcategories', 'alphabetically'),
('blog_search', 'Yes'),
('blog_tags', 'On'),
('blog_image_width', '105'),
('blog_continuelink', 'No'),
('blog_autoapprove', 'On'),
('blog_postername', 'Yes'),
('blog_postingdate', 'Yes'),
('blog_details_page', 'Yes'),
('blog_comment', 'Yes'),
('blog_addeditalert', 'Yes'),
('blog_addeditsubject', 'Article Added/Edited: [topic]'),
('blog_addeditmessage', 'An article has been added/edited:\r\n\r\n[details]'),
('blog_approvedalert', 'Yes'),
('blog_approvedsubject', 'Article Approved: [topic]'),
('blog_approvedmessage', 'Congratulations! Your article has been approved. Please see the details below:\r\n\r\n[details]\r\n\r\nRegards,\r\nSite Editors'),
('blog_rejectedalert', 'Yes'),
('blog_rejectedsubject', 'Article Rejected: [topic]'),
('blog_rejectedmessage', 'Hello, sorry we cannot accept your article below because it does not meet our editorial policy.\r\n\r\n[details]\r\n\r\nRegards,\r\nSite Editors'),
('blog_commentalert', 'Yes'),
('blog_commentsubject', 'Article Comment: [topic]'),
('blog_commentbody', '[first_name_last_name] has posted a comment about your article posted at [article_url].\r\n\r\nComment:\r\n\r\n[comment]'),
('blog_autofeed_status', '[]'),
('blog_expiration', '3650'),
('blog_alerts_number', '10'),
('blog_alerts_searchterms1', ''),
('blog_alerts_category1', ''),
('blog_alerts_sectionid1', ''),
('blog_alerts_searchterms2', ''),
('blog_alerts_category2', ''),
('blog_alerts_sectionid2', ''),
('blog_alerts_searchterms3', ''),
('blog_alerts_category3', ''),
('blog_alerts_sectionid3', ''),
('blog_alerts_searchterms4', ''),
('blog_alerts_category4', ''),
('blog_alerts_sectionid4', ''),
('blog_alerts_searchterms5', ''),
('blog_alerts_category5', ''),
('blog_alerts_sectionid5', ''),
('blog_alerts_searchterms6', ''),
('blog_alerts_category6', ''),
('blog_alerts_sectionid6', ''),
('blog_alerts_searchterms7', ''),
('blog_alerts_category7', ''),
('blog_alerts_sectionid7', ''),
('blog_alerts_searchterms8', ''),
('blog_alerts_category8', ''),
('blog_alerts_sectionid8', ''),
('blog_alerts_searchterms9', ''),
('blog_alerts_category9', ''),
('blog_alerts_sectionid9', ''),
('blog_alerts_searchterms10', ''),
('blog_alerts_category10', ''),
('blog_alerts_sectionid10', ''),
('blog_alerts_searchterms11', ''),
('blog_alerts_category11', ''),
('blog_alerts_sectionid11', ''),
('blog_alerts_searchterms12', ''),
('blog_alerts_category12', ''),
('blog_alerts_sectionid12', ''),
('blog_alerts_searchterms13', ''),
('blog_alerts_category13', ''),
('blog_alerts_sectionid13', ''),
('blog_alerts_searchterms14', ''),
('blog_alerts_category14', ''),
('blog_alerts_sectionid14', ''),
('blog_alerts_searchterms15', ''),
('blog_alerts_category15', ''),
('blog_alerts_sectionid15', ''),
('blog_alerts_searchterms16', ''),
('blog_alerts_category16', ''),
('blog_alerts_sectionid16', ''),
('blog_alerts_searchterms17', ''),
('blog_alerts_category17', ''),
('blog_alerts_sectionid17', ''),
('blog_alerts_searchterms18', ''),
('blog_alerts_category18', ''),
('blog_alerts_sectionid18', ''),
('blog_alerts_searchterms19', ''),
('blog_alerts_category19', ''),
('blog_alerts_sectionid19', ''),
('blog_alerts_searchterms20', ''),
('blog_alerts_category20', ''),
('blog_alerts_sectionid20', ''),
('blog_alerts_searchterms21', ''),
('blog_alerts_category21', ''),
('blog_alerts_sectionid21', ''),
('blog_alerts_searchterms22', ''),
('blog_alerts_category22', ''),
('blog_alerts_sectionid22', ''),
('blog_alerts_searchterms23', ''),
('blog_alerts_category23', ''),
('blog_alerts_sectionid23', ''),
('blog_alerts_searchterms24', ''),
('blog_alerts_category24', ''),
('blog_alerts_sectionid24', ''),
('blog_alerts_searchterms25', ''),
('blog_alerts_category25', ''),
('blog_alerts_sectionid25', ''),
('blog_alerts_searchterms26', ''),
('blog_alerts_category26', ''),
('blog_alerts_sectionid26', ''),
('blog_alerts_searchterms27', ''),
('blog_alerts_category27', ''),
('blog_alerts_sectionid27', ''),
('blog_alerts_searchterms28', ''),
('blog_alerts_category28', ''),
('blog_alerts_sectionid28', ''),
('blog_alerts_searchterms29', ''),
('blog_alerts_category29', ''),
('blog_alerts_sectionid29', ''),
('blog_alerts_searchterms30', ''),
('blog_alerts_category30', ''),
('blog_alerts_sectionid30', ''),
('blog_alerts_searchterms31', ''),
('blog_alerts_category31', ''),
('blog_alerts_sectionid31', ''),
('blog_alerts_searchterms32', ''),
('blog_alerts_category32', ''),
('blog_alerts_sectionid32', ''),
('blog_alerts_searchterms33', ''),
('blog_alerts_category33', ''),
('blog_alerts_sectionid33', ''),
('blog_alerts_searchterms34', ''),
('blog_alerts_category34', ''),
('blog_alerts_sectionid34', ''),
('blog_alerts_searchterms35', ''),
('blog_alerts_category35', ''),
('blog_alerts_sectionid35', ''),
('blog_alerts_searchterms36', ''),
('blog_alerts_category36', ''),
('blog_alerts_sectionid36', ''),
('blog_alerts_searchterms37', ''),
('blog_alerts_category37', ''),
('blog_alerts_sectionid37', ''),
('blog_alerts_searchterms38', ''),
('blog_alerts_category38', ''),
('blog_alerts_sectionid38', ''),
('blog_alerts_searchterms39', ''),
('blog_alerts_category39', ''),
('blog_alerts_sectionid39', ''),
('blog_alerts_searchterms40', ''),
('blog_alerts_category40', ''),
('blog_alerts_sectionid40', ''),
('blog_alerts_searchterms41', ''),
('blog_alerts_category41', ''),
('blog_alerts_sectionid41', ''),
('blog_alerts_searchterms42', ''),
('blog_alerts_category42', ''),
('blog_alerts_sectionid42', ''),
('blog_alerts_searchterms43', ''),
('blog_alerts_category43', ''),
('blog_alerts_sectionid43', ''),
('blog_alerts_searchterms44', ''),
('blog_alerts_category44', ''),
('blog_alerts_sectionid44', ''),
('blog_alerts_searchterms45', ''),
('blog_alerts_category45', ''),
('blog_alerts_sectionid45', ''),
('blog_alerts_searchterms46', ''),
('blog_alerts_category46', ''),
('blog_alerts_sectionid46', ''),
('blog_alerts_searchterms47', ''),
('blog_alerts_category47', ''),
('blog_alerts_sectionid47', ''),
('blog_alerts_searchterms48', ''),
('blog_alerts_category48', ''),
('blog_alerts_sectionid48', ''),
('blog_alerts_searchterms49', ''),
('blog_alerts_category49', ''),
('blog_alerts_sectionid49', ''),
('blog_alerts_searchterms50', ''),
('blog_alerts_category50', ''),
('blog_alerts_sectionid50', ''),
('blog_alerts_searchterms51', ''),
('blog_alerts_category51', ''),
('blog_alerts_sectionid51', ''),
('blog_alerts_searchterms52', ''),
('blog_alerts_category52', ''),
('blog_alerts_sectionid52', ''),
('blog_alerts_searchterms53', ''),
('blog_alerts_category53', ''),
('blog_alerts_sectionid53', ''),
('blog_alerts_searchterms54', ''),
('blog_alerts_category54', ''),
('blog_alerts_sectionid54', ''),
('blog_alerts_searchterms55', ''),
('blog_alerts_category55', ''),
('blog_alerts_sectionid55', ''),
('blog_alerts_searchterms56', ''),
('blog_alerts_category56', ''),
('blog_alerts_sectionid56', ''),
('blog_alerts_searchterms57', ''),
('blog_alerts_category57', ''),
('blog_alerts_sectionid57', ''),
('blog_alerts_searchterms58', ''),
('blog_alerts_category58', ''),
('blog_alerts_sectionid58', ''),
('blog_alerts_searchterms59', ''),
('blog_alerts_category59', ''),
('blog_alerts_sectionid59', ''),
('blog_alerts_searchterms60', ''),
('blog_alerts_category60', ''),
('blog_alerts_sectionid60', ''),
('blog_alerts_searchterms61', ''),
('blog_alerts_category61', ''),
('blog_alerts_sectionid61', ''),
('blog_alerts_searchterms62', ''),
('blog_alerts_category62', ''),
('blog_alerts_sectionid62', ''),
('blog_alerts_searchterms63', ''),
('blog_alerts_category63', ''),
('blog_alerts_sectionid63', ''),
('blog_alerts_searchterms64', ''),
('blog_alerts_category64', ''),
('blog_alerts_sectionid64', ''),
('blog_alerts_searchterms65', ''),
('blog_alerts_category65', ''),
('blog_alerts_sectionid65', ''),
('blog_alerts_searchterms66', ''),
('blog_alerts_category66', ''),
('blog_alerts_sectionid66', ''),
('blog_alerts_searchterms67', ''),
('blog_alerts_category67', ''),
('blog_alerts_sectionid67', ''),
('blog_alerts_searchterms68', ''),
('blog_alerts_category68', ''),
('blog_alerts_sectionid68', ''),
('blog_alerts_searchterms69', ''),
('blog_alerts_category69', ''),
('blog_alerts_sectionid69', ''),
('blog_alerts_searchterms70', ''),
('blog_alerts_category70', ''),
('blog_alerts_sectionid70', ''),
('blog_alerts_searchterms71', ''),
('blog_alerts_category71', ''),
('blog_alerts_sectionid71', ''),
('blog_alerts_searchterms72', ''),
('blog_alerts_category72', ''),
('blog_alerts_sectionid72', ''),
('blog_alerts_searchterms73', ''),
('blog_alerts_category73', ''),
('blog_alerts_sectionid73', ''),
('blog_alerts_searchterms74', ''),
('blog_alerts_category74', ''),
('blog_alerts_sectionid74', ''),
('blog_alerts_searchterms75', ''),
('blog_alerts_category75', ''),
('blog_alerts_sectionid75', ''),
('blog_alerts_searchterms76', ''),
('blog_alerts_category76', ''),
('blog_alerts_sectionid76', ''),
('blog_alerts_searchterms77', ''),
('blog_alerts_category77', ''),
('blog_alerts_sectionid77', ''),
('blog_alerts_searchterms78', ''),
('blog_alerts_category78', ''),
('blog_alerts_sectionid78', ''),
('blog_alerts_searchterms79', ''),
('blog_alerts_category79', ''),
('blog_alerts_sectionid79', ''),
('blog_alerts_searchterms80', ''),
('blog_alerts_category80', ''),
('blog_alerts_sectionid80', ''),
('blog_alerts_searchterms81', ''),
('blog_alerts_category81', ''),
('blog_alerts_sectionid81', ''),
('blog_alerts_searchterms82', ''),
('blog_alerts_category82', ''),
('blog_alerts_sectionid82', ''),
('blog_alerts_searchterms83', ''),
('blog_alerts_category83', ''),
('blog_alerts_sectionid83', ''),
('blog_alerts_searchterms84', ''),
('blog_alerts_category84', ''),
('blog_alerts_sectionid84', ''),
('blog_alerts_searchterms85', ''),
('blog_alerts_category85', ''),
('blog_alerts_sectionid85', ''),
('blog_alerts_searchterms86', ''),
('blog_alerts_category86', ''),
('blog_alerts_sectionid86', ''),
('blog_alerts_searchterms87', ''),
('blog_alerts_category87', ''),
('blog_alerts_sectionid87', ''),
('blog_alerts_searchterms88', ''),
('blog_alerts_category88', ''),
('blog_alerts_sectionid88', ''),
('blog_alerts_searchterms89', ''),
('blog_alerts_category89', ''),
('blog_alerts_sectionid89', ''),
('blog_alerts_searchterms90', ''),
('blog_alerts_category90', ''),
('blog_alerts_sectionid90', ''),
('blog_alerts_searchterms91', ''),
('blog_alerts_category91', ''),
('blog_alerts_sectionid91', ''),
('blog_alerts_searchterms92', ''),
('blog_alerts_category92', ''),
('blog_alerts_sectionid92', ''),
('blog_alerts_searchterms93', ''),
('blog_alerts_category93', ''),
('blog_alerts_sectionid93', ''),
('blog_alerts_searchterms94', ''),
('blog_alerts_category94', ''),
('blog_alerts_sectionid94', ''),
('blog_alerts_searchterms95', ''),
('blog_alerts_category95', ''),
('blog_alerts_sectionid95', ''),
('blog_alerts_searchterms96', ''),
('blog_alerts_category96', ''),
('blog_alerts_sectionid96', ''),
('blog_alerts_searchterms97', ''),
('blog_alerts_category97', ''),
('blog_alerts_sectionid97', ''),
('blog_alerts_searchterms98', ''),
('blog_alerts_category98', ''),
('blog_alerts_sectionid98', ''),
('blog_alerts_searchterms99', ''),
('blog_alerts_category99', ''),
('blog_alerts_sectionid99', ''),
('blog_alerts_searchterms100', ''),
('blog_alerts_category100', ''),
('blog_alerts_sectionid100', ''),
('blog_links', 'Yes'),
('blog_contributors', 'Yes'),
('facebook_type', 'Scheduled'),
('facebook_scheduled_access_token', ''),
('facebook_immediate_access_token', ''),
('facebook_app_id', ''),
('facebook_app_secret', ''),
('facebook_scheduled_authenticated', 'N'),
('facebook_immediate_authenticated', 'N'),
('facebook_scheduled_data', ''),
('facebook_scheduled_postings', '[]'),
('facebook_immediate_data', ''),
('facebook_immediate_postings', '[]'),
('facebook_http_host', '');