DROP TABLE IF EXISTS `events_categories`;
CREATE TABLE IF NOT EXISTS `events_categories` (
  `category_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `main_id` int(11) NOT NULL DEFAULT '0',
  `type` varchar(250) DEFAULT NULL,
  `typedescription` text,
  `grouping` int(11) unsigned DEFAULT NULL,
  PRIMARY KEY (`category_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `events_categories` (`category_id`, `main_id`, `type`, `typedescription`, `grouping`) VALUES
(1, 0, 'Business', '', 1),
(2, 0, 'Engineering', '', 2),
(3, 0, 'Finance', '', 3),
(4, 0, 'Management', '', 4),
(5, 0, 'Legal', '', 5);


DROP TABLE IF EXISTS `events_dates`;
CREATE TABLE IF NOT EXISTS `events_dates` (
  `date_id` int(11) NOT NULL AUTO_INCREMENT,
  `event_id` int(11) unsigned default NULL,
  `date` date default NULL,
  `starttime` time default NULL,
  `endtime` time default NULL,
  `display` char(1) default NULL,
  PRIMARY KEY  (`date_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `events_dates` (`date_id`, `event_id`, `date`, `starttime`, `endtime`, `display`) VALUES
(1, 1, DATE_ADD(NOW(), INTERVAL 7 DAY), '08:00:00', '16:00:00', 'Y'),
(2, 2, DATE_ADD(NOW(), INTERVAL 14 DAY), '10:00:00', '18:00:00', 'Y'),
(3, 3, DATE_ADD(NOW(), INTERVAL 14 DAY), '09:00:00', '15:00:00', 'Y');


DROP TABLE IF EXISTS `events_listings`;
CREATE TABLE IF NOT EXISTS `events_listings` (
  `event_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `category_id` int(11) unsigned DEFAULT NULL,
  `event` varchar(250) DEFAULT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `contact_id` int(11) NOT NULL,
  `author` varchar(100) DEFAULT NULL,
  `imagename` varchar(250) DEFAULT NULL,
  `schedule` varchar(50) DEFAULT NULL,
  `startdatetime` datetime NOT NULL,
  `enddatetime` datetime NOT NULL,
  `timezone` varchar(50) DEFAULT NULL,
  `recurring` varchar(50) DEFAULT NULL,
  `recurringweek` char(15) DEFAULT NULL,
  `recurringday` char(30) DEFAULT NULL,
  `highlight` char(1) DEFAULT NULL,
  `highlight_color` char(7) DEFAULT NULL,
  `price` DOUBLE(10,2) NULL DEFAULT NULL,
  `number_of_seats` int(11) unsigned DEFAULT NULL,
  `seat_number` int(11) unsigned DEFAULT NULL,
  `description` text,
  `original_description` text NOT NULL,
  `location` varchar(250) DEFAULT NULL,
  `approval` char(1) DEFAULT NULL,
  `display` char(1) DEFAULT NULL,
  `linkurl` varchar(250) DEFAULT NULL,
  `linktype` char(1) DEFAULT NULL,
  `postingdatetime` datetime DEFAULT '0000-00-00 00:00:00',
  `dateadded` datetime DEFAULT NULL,
  `featured` char(1) DEFAULT NULL,
  `visits` int(11) unsigned DEFAULT NULL,
  `status` varchar(20) DEFAULT NULL,
  `edited_flag` tinyint(3) NOT NULL DEFAULT '0',
  PRIMARY KEY (`event_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `events_listings` (`event_id`, `category_id`, `event`, `user_id`, `contact_id`, `author`, `imagename`, `schedule`, `startdatetime`, `enddatetime`, `timezone`, `recurring`, `recurringweek`, `recurringday`, `highlight`, `highlight_color`, `price`, `number_of_seats`,`seat_number`, `description`, `original_description`, `location`, `approval`, `display`, `linkurl`, `linktype`, `postingdatetime`, `dateadded`, `featured`, `visits`, `status`, `edited_flag`) VALUES
(1, 1, 'Web 2.0 Marketing', NULL, 1, 'Jimmy Test', 'web2marketing.png', 'Continuous', DATE_FORMAT(DATE_ADD(NOW(), INTERVAL 7 DAY), '%Y-%m-%d 08:00:00'), DATE_FORMAT(DATE_ADD(NOW(), INTERVAL 7 DAY), '%Y-%m-%d 16:00:00'), 'Pacific', '', NULL, NULL, 'Y', '56aaff', 100, '', '2', '<p>Come and join our networking meeting on Web 2.0 marketing. We are an informal group of marketing professionals based in the Bay Area. The discussion is always fun.</p>', '', '1245 Crisp Court, Sacramento, CA 95864', 'Y', 'Y', '', 'C', DATE_ADD(NOW(), INTERVAL 7 DAY), DATE_ADD(NOW(), INTERVAL 3 DAY), '', 19, 'A', 0),
(2, 2, 'Wireless Email 101', NULL, 3, 'Razan Test', '', 'Continuous', DATE_FORMAT(DATE_ADD(NOW(), INTERVAL 3 DAY), '%Y-%m-%d 10:00:00'), DATE_FORMAT(DATE_ADD(NOW(), INTERVAL 3 DAY), '%Y-%m-%d 18:00:00'), 'Pacific', '', NULL, NULL, 'Y', '00bf5f', 0, '', '2', '<p>Today, wireless email has been deployed or is being deployed by 85% of enterprises in North America and 70% in Europe. The growth is continue in rest of the world. However, the wireless email landscape is complicated because no email system can easily push email out to all devices, and the result is pain and cost for IT managers. We will look at the technology challenges and discuss some cost-effective solutions to help you deloy wireless email.</p>', '', '60 South Market Street, Suite 1000, San Jose, CA 95113', 'Y', 'Y', 'http://', 'C', DATE_ADD(NOW(), INTERVAL 7 DAY), DATE_ADD(NOW(), INTERVAL 4 DAY), '', 86, 'A', 0),
(3, 3, 'Telephony for Investors', NULL, 7, 'Tara Test', '', 'Continuous', DATE_FORMAT(DATE_ADD(NOW(), INTERVAL 14 DAY), '%Y-%m-%d 09:00:00'), DATE_FORMAT(DATE_ADD(NOW(), INTERVAL 17 DAY), '%Y-%m-%d 15:00:00'), 'Pacific', '', '0', '0', 'Y', 'bf5f00', 50, '12', '1', '<p>This exciting seminar will present an overview of our VOIP products, business opportunities, applications, infrastructure, and the benefits of using our call center, video messaging, and video gateways.</p>', '', '2440 West El Camino Real, Suite 300, Mountain View, CA 94040', 'Y', 'Y', '', 'C', DATE_ADD(NOW(), INTERVAL 7 DAY), DATE_ADD(NOW(), INTERVAL 4 DAY), 'Y', 63, 'A', 0);


DROP TABLE IF EXISTS `events_registrations`;
CREATE TABLE IF NOT EXISTS `events_registrations` (
  `reg_id` int(11) NOT NULL AUTO_INCREMENT,
  `event_id` int(11) NOT NULL DEFAULT '0',
  `event` varchar(250) DEFAULT NULL,
  `pricing` text NOT NULL,
  `tax_rate` double(10,3) NOT NULL,
  `rate_id` int(11) NOT NULL DEFAULT '0',
  `tax_amount` double(10,2) NOT NULL,
  `first_name` varchar(50) NOT NULL,
  `last_name` varchar(50) NOT NULL DEFAULT '',
  `email_address` varchar(100) NOT NULL,
  `address1` varchar(100) NOT NULL,
  `address2` varchar(100) NOT NULL,
  `city` varchar(50) NOT NULL,
  `state` varchar(50) NOT NULL,
  `zip` text NOT NULL,
  `country` varchar(50) NOT NULL,
  `payment` varchar(30) NOT NULL,
  `payment_method` varchar(30) NOT NULL DEFAULT '',
  `comment` text,
  `status` varchar(30) NOT NULL,
  PRIMARY KEY (`reg_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

INSERT INTO `events_registrations` (`reg_id`, `event_id`, `event`, `pricing`, `tax_rate`, `rate_id`, `tax_amount`, `first_name`, `last_name`, `email_address`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `payment`, `payment_method`, `comment`, `status`) VALUES
(1, 3, 'Telephony for Investors', '20', 0.000, 0, 0.00, 'Jimmy', 'Test ', 'hotjim@gmx.com', '828 McMillion Way', '', 'Irvine', 'California', '92612', 'United States', 'creditcard', 'PayPal', '', 'Paid');


/* Also update "Use Default" data in Model setting file. */
DROP TABLE IF EXISTS `events_settings`;
CREATE TABLE IF NOT EXISTS `events_settings` (
  `useroption` varchar(100) NOT NULL DEFAULT '',
  `setting` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `events_settings` (`useroption`, `setting`) VALUES
('events_homepage_display', 'header_general'),
('events_homepage_header', ''),
('events_homepage_info', ''),
('events_homepage_content', ''),
('events_categories', 'Yes'),
('events_sortcategories', 'alphabetically'),
('events_search', 'Yes'),
('events_defaultview', 'month'),
('eventscalender_calenderdefaultview', 'Chronological'),
('events_listingsorder', 'DESC'),
('events_monthtime', 'No'),
('eventscalender_calenderview', 'Month'),
('eventscalender_showtimemonthview', 'No'),
('eventscalender_yearview', 'Yes'),
('eventscalender_monthview', 'Yes'),
('eventscalender_dayview', 'Yes'),
('eventscalender_weekview', 'Yes'),
('events_starthour', '8:00 AM'),
('events_endhour', '6:00 PM'),
('events_pageurl', NULL),
('events_user', 'Yes'),
('events_search', 'yes'),
('events_plusurl', NULL),
('events_defaulttimezone', 'Pacific'),
('events_expiration', '7'),
('events_hidepastevent', 'No'),
('events_registration', 'Yes'),
('events_autoapprove', 'ON'),
('events_orderalert', 'Yes'),
('events_ordersubject', 'Thank You for Your Purchase'),
('events_orderbody', 'Here''s a summary of your order. We will follow up with more information soon.\r\n\r\n[order_summary]'),
('events_purchasealert', 'Yes'),
('events_purchasesubject', 'Congratulation! You Got a New Order'),
('events_purchasebody', 'Here''s a summary of the order:\r\n\r\n[order_summary]'),
('events_addeditalert', 'Yes'),
('events_addeditsubject', 'Event Added/Edited: [title]'),
('events_addeditmessage', 'A listing has been added/edited. See below:\r\n\r\n[details]'),
('events_approvedalert', 'Yes'),
('events_approvedsubject', 'Event Approved: [title]'),
('events_approvedmessage', 'Congratulations! Your event has been approved. Please see the details below:\r\n\r\n[details]\r\n\r\nRegards,\r\n\Site Editors'),
('events_rejectedalert', 'Yes'),
('events_rejectedsubject', 'Event Rejected: [title]'),
('events_rejectedmessage', 'Hello, sorry we cannot accept your event below because it does not meet our editorial policy.\r\n\r\n[details]\r\n\r\nRegards,\r\n\Site Editors'),
('events_registrationalert', 'Yes'),
('events_registrationsubject', 'New Event Registration'),
('events_registrationmessage', '[name] has been registered for [title].\r\n\r\nSee below for more info:\r\n\r\n[details]'),
('registration_event', 'Yes'),
('registration_pricing', 'Yes'),
('registration_name', 'Yes'),
('registration_email', 'Yes'),
('registration_address1', 'Yes'),
('registration_address2', 'Yes'),
('registration_city', 'Yes'),
('registration_state', 'Yes'),
('registration_zip', 'Yes'),
('registration_country', 'Yes'),
('registration_paymentmethod', 'Yes'),
('registration_comment', 'Yes'),
('events_cashcheck_instruction', 'Make payment when you come to the event. Please bring exact amount if you plan to pay by cash'),
('rate_id', '16');