UPDATE `license` SET `version` = '2.1';
/* Start Date: 2015-12-01 */
/* Set version in version.txt file and Quick Guide as well. Do not drop any user-input data table in this file. */

ALTER TABLE `finance_sales_point_of_sales` ADD `amount_received` double(10,2) NOT NULL AFTER `total`;
ALTER TABLE `finance_sales_point_of_sales` ADD `change` double(10,2) NOT NULL AFTER `amount_received`;

ALTER TABLE `exchange_faxes` ADD `page_size` varchar(10) NOT NULL AFTER `fax_type`;
ALTER TABLE `exchange_faxes` ADD `high_resolution` char(1) NOT NULL AFTER `page_size`;

ALTER TABLE `hr_timesheets` DROP `total_hours`;
ALTER TABLE `hr_timesheets` CHANGE `work_hours` `regular` varchar(1000) NOT NULL AFTER `day`;
ALTER TABLE `hr_timesheets` ADD `overtime` varchar(1000) NOT NULL AFTER `regular`;
ALTER TABLE `hr_timesheets` ADD `vacation` varchar(1000) NOT NULL AFTER `overtime`;
ALTER TABLE `hr_timesheets` ADD `sick` varchar(1000) NOT NULL AFTER `vacation`;
ALTER TABLE `hr_timesheets` ADD `holiday` varchar(1000) NOT NULL AFTER `sick`;
ALTER TABLE `hr_timesheets` ADD `unpaid` varchar(1000) NOT NULL AFTER `holiday`;
ALTER TABLE `hr_timesheets` ADD `total` varchar(1000) NOT NULL AFTER `unpaid`;
ALTER TABLE `hr_timesheets` ADD `vacation_time_balance` double(4,2) DEFAULT '0.00' AFTER `total`;
ALTER TABLE `hr_timesheets` ADD `sick_leave_balance` double(4,2) DEFAULT '0.00' AFTER `vacation_time_balance`;
ALTER TABLE `hr_timesheets` DROP `total`;

ALTER TABLE `hr_time_off` ADD `vacation_time_balance` double(4,2) DEFAULT '0.00' AFTER `approval_by`;
ALTER TABLE `hr_time_off` ADD `sick_leave_balance` double(4,2) DEFAULT '0.00' AFTER `vacation_time_balance`;

RENAME TABLE `hr_management` TO `hr_structures`;
ALTER TABLE `hr_structures` CHANGE `management_id` `structure_id` int(11) unsigned NOT NULL AUTO_INCREMENT;

ALTER TABLE `finance_chart_of_accounts` CHANGE `balance` `prepared_balance` DOUBLE(10,2) NOT NULL DEFAULT '0.00';
ALTER TABLE `finance_chart_of_accounts` ADD `processed_balance` DOUBLE(10,2) NOT NULL DEFAULT '0.00' AFTER `prepared_balance`;

ALTER TABLE `finance_chart_of_accounts` CHANGE `opening_balance` `prepared_opening_balance` DOUBLE(10,2) NOT NULL DEFAULT '0.00';
ALTER TABLE `finance_chart_of_accounts` ADD `processed_opening_balance` DOUBLE(10,2) NOT NULL DEFAULT '0.00' AFTER `prepared_opening_balance`;

ALTER TABLE `hr_time_off` DROP `type`, DROP `vacation_time_balance`, DROP `sick_leave_balance`;
ALTER TABLE `hr_time_off` ADD `vacation_time` varchar(1000) NOT NULL AFTER `duration`;
ALTER TABLE `hr_time_off` ADD `sick_leave` varchar(1000) NOT NULL AFTER `vacation_time`;
ALTER TABLE `hr_time_off` ADD `unpaid_time` varchar(1000) NOT NULL AFTER `sick_leave`;

ALTER TABLE `finance_sales_adjustments` ADD `shipping_method` VARCHAR(30) NOT NULL AFTER `reason`;

ALTER TABLE `site_layout` ADD `login_title_tag` VARCHAR(250) NOT NULL AFTER `global_meta_tags`;
ALTER TABLE `site_layout` ADD `login_meta_tags` VARCHAR(500) NOT NULL AFTER `login_title_tag`;

ALTER TABLE `flexible_pages` ADD `title_tag` VARCHAR(250) NOT NULL AFTER `author`;
ALTER TABLE `flexible_pages` ADD `meta_tags` VARCHAR(500) NOT NULL AFTER `title_tag`;

ALTER TABLE `contacts_settings` ADD `signup` TEXT NOT NULL AFTER `setting_id`;
ALTER TABLE `contacts_settings` ADD `login` TEXT NOT NULL AFTER `signup`;
ALTER TABLE `contacts_settings` CHANGE `email_settings` `notifications` TEXT NOT NULL;
ALTER TABLE `contacts_settings` CHANGE `reminder_settings` `reminders` TEXT NOT NULL;
RENAME TABLE `contacts_settings` TO `membership_settings`;

ALTER TABLE `hr_time_off` CHANGE `duration` `duration` DOUBLE(4,2) DEFAULT '0.00';
ALTER TABLE `hr_time_off` ADD `dates` varchar(100) NOT NULL AFTER `user_id`;
ALTER TABLE `hr_time_off` DROP `period_from`, DROP `period_to`;

ALTER TABLE `hr_staff_details` CHANGE `w9_attachment` `forms` text DEFAULT NULL;

ALTER TABLE `hr_payroll_settlements` CHANGE `payment_method` `payment_method` varchar(500) NOT NULL;

ALTER TABLE `display_style` ADD `login_column_width` VARCHAR(50) NOT NULL DEFAULT '450' AFTER `login_text_font_size`;

ALTER TABLE `hr_payroll_settlements` CHANGE `payment_method` `payment_method` text NOT NULL;
ALTER TABLE `hr_payroll_payments` CHANGE `payment_method` `payment_method` text NOT NULL;

ALTER TABLE `finance_sales_payments` CHANGE `payment_method` `payment_method` TEXT NOT NULL;
ALTER TABLE `finance_purchases_payments` CHANGE `payment_method` `payment_method` TEXT NOT NULL;
ALTER TABLE `finance_purchases_expenses` CHANGE `payment_method` `payment_method` TEXT NOT NULL;
ALTER TABLE `finance_sales_point_of_sales` CHANGE `payment_method` `payment_method` TEXT NOT NULL;
ALTER TABLE `finance_tax_returns` CHANGE `payment_method` `payment_method` TEXT NULL;
ALTER TABLE `finance_sales_returns` ADD `business_address` VARCHAR(350) NOT NULL AFTER `received_by`;

ALTER TABLE `hr_payroll_statements` CHANGE `us_overtime` `us_overtime` DOUBLE(10,2) DEFAULT NULL AFTER `us_regular_pay`;
ALTER TABLE `hr_payroll_statements` ADD `us_vacation` DOUBLE(10,2) DEFAULT NULL AFTER `us_overtime`;
ALTER TABLE `hr_payroll_statements` ADD `us_sick_leave` DOUBLE(10,2) DEFAULT NULL AFTER `us_vacation`;
ALTER TABLE `hr_payroll_statements` ADD `us_holiday` DOUBLE(10,2) DEFAULT NULL AFTER `us_sick_leave`;
ALTER TABLE `hr_payroll_statements` CHANGE `my_basic_salary` `my_regular_pay` DOUBLE(10,2) DEFAULT NULL AFTER `us_net_pay`;
ALTER TABLE `hr_payroll_statements` CHANGE `my_overtime` `my_overtime` DOUBLE(10,2) DEFAULT NULL AFTER `my_regular_pay`;
ALTER TABLE `hr_payroll_statements` ADD `my_vacation` DOUBLE(10,2) DEFAULT NULL AFTER `my_overtime`;
ALTER TABLE `hr_payroll_statements` ADD `my_sick_leave` DOUBLE(10,2) DEFAULT NULL AFTER `my_vacation`;
ALTER TABLE `hr_payroll_statements` ADD `my_holiday` DOUBLE(10,2) DEFAULT NULL AFTER `my_sick_leave`;
ALTER TABLE `hr_payroll_statements` CHANGE `in_basic_salary` `in_regular_pay` DOUBLE(10,2) DEFAULT NULL AFTER `my_net_salary`;
ALTER TABLE `hr_payroll_statements` CHANGE `in_overtime` `in_overtime` DOUBLE(10,2) DEFAULT NULL AFTER `in_regular_pay`;
ALTER TABLE `hr_payroll_statements` ADD `in_vacation` DOUBLE(10,2) DEFAULT NULL AFTER `in_overtime`;
ALTER TABLE `hr_payroll_statements` ADD `in_sick_leave` DOUBLE(10,2) DEFAULT NULL AFTER `in_vacation`;
ALTER TABLE `hr_payroll_statements` ADD `in_holiday` DOUBLE(10,2) DEFAULT NULL AFTER `in_sick_leave`;
ALTER TABLE `hr_payroll_statements` CHANGE `oc_basic_salary` `oc_regular_pay` DOUBLE(10,2) DEFAULT NULL AFTER `in_net_salary`;
ALTER TABLE `hr_payroll_statements` CHANGE `oc_overtime` `oc_overtime` DOUBLE(10,2) DEFAULT NULL AFTER `oc_regular_pay`;
ALTER TABLE `hr_payroll_statements` ADD `oc_vacation` DOUBLE(10,2) DEFAULT NULL AFTER `oc_overtime`;
ALTER TABLE `hr_payroll_statements` ADD `oc_sick_leave` DOUBLE(10,2) DEFAULT NULL AFTER `oc_vacation`;
ALTER TABLE `hr_payroll_statements` ADD `oc_holiday` DOUBLE(10,2) DEFAULT NULL AFTER `oc_sick_leave`;
ALTER TABLE `hr_payroll_statements` CHANGE `us_unpaid_leave` `us_unpaid_leave` DOUBLE(10,2) DEFAULT NULL AFTER `us_holiday`;
ALTER TABLE `hr_payroll_statements` CHANGE `my_unpaid_leave` `my_unpaid_leave` DOUBLE(10,2) DEFAULT NULL AFTER `my_holiday`;
ALTER TABLE `hr_payroll_statements` CHANGE `in_unpaid_leave` `in_unpaid_leave` DOUBLE(10,2) DEFAULT NULL AFTER `in_holiday`;
ALTER TABLE `hr_payroll_statements` CHANGE `oc_unpaid_leave` `oc_unpaid_leave` DOUBLE(10,2) DEFAULT NULL AFTER `oc_holiday`;
ALTER TABLE `hr_payroll_statements` DROP `us_unused_timeoff`, DROP `my_unused_timeoff`, DROP `in_unused_timeoff`, DROP `oc_unused_timeoff`;

ALTER TABLE `hr_timesheets` CHANGE `holiday` `holiday` varchar(1000) NOT NULL AFTER `overtime`;

ALTER TABLE `hr_payroll_statements` CHANGE `us_holiday` `us_holiday` double(10,2) DEFAULT NULL AFTER `us_overtime`;
ALTER TABLE `hr_payroll_statements` CHANGE `my_holiday` `my_holiday` double(10,2) DEFAULT NULL AFTER `my_overtime`;
ALTER TABLE `hr_payroll_statements` CHANGE `in_holiday` `in_holiday` double(10,2) DEFAULT NULL AFTER `in_overtime`;
ALTER TABLE `hr_payroll_statements` CHANGE `oc_holiday` `oc_holiday` double(10,2) DEFAULT NULL AFTER `oc_overtime`;

ALTER TABLE `hr_payroll_statements` CHANGE `my_gross_salary` `my_gross_pay` double(10,2) DEFAULT NULL AFTER `my_bonus`;
ALTER TABLE `hr_payroll_statements` CHANGE `my_net_salary` `my_net_pay` double(10,2) DEFAULT NULL AFTER `my_expense_reimbursement`;
ALTER TABLE `hr_payroll_statements` CHANGE `in_gross_salary` `in_gross_pay` double(10,2) DEFAULT NULL AFTER `in_bonus`;
ALTER TABLE `hr_payroll_statements` CHANGE `in_net_salary` `in_net_pay` double(10,2) DEFAULT NULL AFTER `in_expense_reimbursement`;
ALTER TABLE `hr_payroll_statements` CHANGE `oc_gross_salary` `oc_gross_pay` double(10,2) DEFAULT NULL AFTER `oc_bonus`;
ALTER TABLE `hr_payroll_statements` CHANGE `oc_net_salary` `oc_net_pay` double(10,2) DEFAULT NULL AFTER `oc_expense_reimbursement`;

ALTER TABLE `matters_schedule_types` ADD `case_use` char(1) NOT NULL DEFAULT 'N' AFTER `default`;
ALTER TABLE `matters_schedule_types` ADD `case_use` char(1) NOT NULL DEFAULT 'Y' AFTER `default`;

ALTER TABLE `finance_purchases_receipts` CHANGE `receipt_id` `received_id` INT(11) NOT NULL AUTO_INCREMENT;
ALTER TABLE `finance_purchases_receipts` CHANGE `receipt_number` `received_number` VARCHAR(30) NOT NULL;
RENAME TABLE `finance_purchases_receipts` TO `finance_purchases_received`;

ALTER TABLE `hr_timesheets` ADD `vacation_time_adjustment` varchar(10) NOT NULL AFTER `unpaid`;
ALTER TABLE `hr_timesheets` ADD `sick_leave_adjustment` varchar(10) NOT NULL AFTER `vacation_time_adjustment`;
ALTER TABLE `hr_timesheets` CHANGE `vacation_time_balance` `vacation_time_balance` double(6,2) DEFAULT '0.00' AFTER `sick_leave_adjustment`;
ALTER TABLE `hr_timesheets` CHANGE `sick_leave_balance` `sick_leave_balance` double(6,2) DEFAULT '0.00' AFTER `vacation_time_balance`;

ALTER TABLE `hr_benefits_packages` ADD `earning_distribution` text NOT NULL AFTER `allowance`;
ALTER TABLE `hr_benefits_packages` CHANGE `my_epf_rate` `my_epf_contribution_rate` double(4,2) DEFAULT '0.00' AFTER `us_401k_match_limit`;
ALTER TABLE `hr_benefits_packages` ADD `my_epf_employer_match_rate` text NOT NULL AFTER `my_epf_contribution_rate`;
ALTER TABLE `hr_benefits_packages` ADD `in_epf_contribution_rate` double(4,2) DEFAULT '0.00' AFTER `my_epf_deduction_limit`;
ALTER TABLE `hr_benefits_packages` ADD `in_epf_employer_match_rate` double(4,2) DEFAULT '0.00' AFTER `in_epf_contribution_rate`;
ALTER TABLE `hr_benefits_packages` ADD `in_epf_deduction_limit` double(10,2) DEFAULT '0.00' AFTER `in_epf_employer_match_rate`;
ALTER TABLE `hr_benefits_packages` CHANGE `oc_retirement_rate` `oc_retirement_contribution_rate` double(4,2) DEFAULT '0.00' AFTER `in_epf_deduction_limit`;
ALTER TABLE `hr_benefits_packages` DROP `in_provident_fund_rate`, DROP `in_voluntary_provident_fund_rate`;

ALTER TABLE `hr_staff_benefits` ADD `earning_distribution` text NOT NULL AFTER `allowance`;
ALTER TABLE `hr_staff_benefits` CHANGE `my_epf_rate` `my_epf_contribution_rate` double(4,2) DEFAULT '0.00' AFTER `us_401k_match_limit`;
ALTER TABLE `hr_staff_benefits` ADD `my_epf_employer_match_rate` text NOT NULL AFTER `my_epf_contribution_rate`;
ALTER TABLE `hr_staff_benefits` ADD `in_epf_contribution_rate` double(4,2) DEFAULT '0.00' AFTER `my_epf_deduction_limit`;
ALTER TABLE `hr_staff_benefits` ADD `in_epf_employer_match_rate` double(4,2) DEFAULT '0.00' AFTER `in_epf_contribution_rate`;
ALTER TABLE `hr_staff_benefits` ADD `in_epf_deduction_limit` double(10,2) DEFAULT '0.00' AFTER `in_epf_employer_match_rate`;
ALTER TABLE `hr_staff_benefits` CHANGE `oc_retirement_rate` `oc_retirement_contribution_rate` double(4,2) DEFAULT '0.00' AFTER `in_epf_deduction_limit`;
ALTER TABLE `hr_staff_benefits` DROP `in_provident_fund_rate`, DROP `in_voluntary_provident_fund_rate`;

ALTER TABLE `hr_payroll_statements` CHANGE `oc_retirement` `oc_retirement_contribution` double(10,2) DEFAULT NULL AFTER `oc_gross_pay`;
ALTER TABLE `hr_payroll_statements` DROP `in_provident_fund`, DROP `in_voluntary_provident_fund`;

ALTER TABLE `finance_sales_orders` ADD `quote_id` INT(11) NOT NULL DEFAULT '0' AFTER `order_id`;
ALTER TABLE `finance_purchases_quotes` ADD `request_id` INT(11) NOT NULL DEFAULT '0' AFTER `quote_id`;

ALTER TABLE `hr_payroll_statements` ADD `in_epf` double(10,2) DEFAULT NULL AFTER `in_gross_pay`;

RENAME TABLE `contacts_memberships` TO `contacts_membership_packages`;  
RENAME TABLE `membership_settings` TO `contacts_membership_settings`;

ALTER TABLE `hr_benefits_packages` ADD `overtime_hours` varchar(10) NOT NULL AFTER `overtime_rate`;
ALTER TABLE `hr_staff_benefits` ADD `overtime_hours` varchar(10) NOT NULL AFTER `overtime_rate`;

ALTER TABLE `hr_payroll_statements` ADD `base_pay` double(10,2) DEFAULT NULL AFTER `period`;
ALTER TABLE `hr_payroll_statements` CHANGE `us_expense_reimbursement` `us_expense_reimbursement` double(10,2) DEFAULT NULL AFTER `us_gross_pay`;
ALTER TABLE `hr_payroll_statements` CHANGE `my_expense_reimbursement` `my_expense_reimbursement` double(10,2) DEFAULT NULL AFTER `my_gross_pay`;
ALTER TABLE `hr_payroll_statements` CHANGE `in_expense_reimbursement` `in_expense_reimbursement` double(10,2) DEFAULT NULL AFTER `in_gross_pay`;
ALTER TABLE `hr_payroll_statements` CHANGE `oc_expense_reimbursement` `oc_expense_reimbursement` double(10,2) DEFAULT NULL AFTER `oc_gross_pay`;
ALTER TABLE `hr_payroll_statements` CHANGE `us_unpaid_leave` `us_unpaid_leave` double(10,2) DEFAULT NULL AFTER `us_expense_reimbursement`;
ALTER TABLE `hr_payroll_statements` CHANGE `my_unpaid_leave` `my_unpaid_leave` double(10,2) DEFAULT NULL AFTER `my_expense_reimbursement`;
ALTER TABLE `hr_payroll_statements` CHANGE `in_unpaid_leave` `in_unpaid_leave` double(10,2) DEFAULT NULL AFTER `in_expense_reimbursement`;
ALTER TABLE `hr_payroll_statements` CHANGE `oc_unpaid_leave` `oc_unpaid_leave` double(10,2) DEFAULT NULL AFTER `oc_expense_reimbursement`;

ALTER TABLE `hr_benefits_packages` CHANGE `overtime_rate` `overtime_rate` double(3,1) DEFAULT '1.5' AFTER `overtime_pay`;
ALTER TABLE `hr_benefits_packages` CHANGE `overtime_hours` `overtime_hours` varchar(3) DEFAULT '40' AFTER `overtime_rate`;

ALTER TABLE `hr_payroll_statements` CHANGE `us_sdi` `us_sdi` double(10,2) DEFAULT NULL AFTER `us_local_income_tax`;

RENAME TABLE `finance_purchases_expenses` TO `finance_expenses`; 
RENAME TABLE `finance_banking_transfer_money` TO `finance_transfers`; 
RENAME TABLE `finance_tax_returns` TO `finance_taxes`; 
ALTER TABLE `finance_taxes` CHANGE `tax_return_id` `tax_id` INT(11) NOT NULL AUTO_INCREMENT;
ALTER TABLE `finance_taxes` ADD `total_paid` DOUBLE(10,2) NOT NULL AFTER `use_tax`;
ALTER TABLE `finance_taxes` ADD `total_refunded` DOUBLE(10,2) NOT NULL AFTER `total_paid`;
ALTER TABLE `finance_taxes` CHANGE `type` `type` VARCHAR(100) NOT NULL;
ALTER TABLE `finance_taxes` ADD `transaction_id` INT(11) NOT NULL DEFAULT '0' AFTER `tax_id`;
ALTER TABLE `finance_taxes` ADD `from_account` INT(11) NOT NULL DEFAULT '0' AFTER `amount`;
ALTER TABLE `finance_taxes` ADD `to_account` INT(11) NOT NULL DEFAULT '0' AFTER `from_account`;

ALTER TABLE `finance_account_transactions` ADD `data_model` VARCHAR(30) NOT NULL AFTER `transaction_number`;
ALTER TABLE `finance_account_transactions` ADD `data_id` INT(11) NOT NULL DEFAULT '0' AFTER `data_model`;
ALTER TABLE `finance_expenses` CHANGE `seller_invoice` `receipt` VARCHAR(500) NOT NULL;
ALTER TABLE `finance_expenses` ADD `address` VARCHAR(500) NOT NULL AFTER `company`;
ALTER TABLE `finance_expenses` ADD `recurring_options` TEXT NOT NULL AFTER `receipt`;
ALTER TABLE `finance_expenses` ADD `enable_recurring` CHAR(1) NOT NULL AFTER `receipt`;
ALTER TABLE `finance_expenses` ADD `recurring_group` TEXT NOT NULL AFTER `transaction_id`;
ALTER TABLE `finance_items_lists` CHANGE `purchase_price` `purchase_price` TEXT NOT NULL;
ALTER TABLE `finance_sales_invoices` ADD `reverse_transaction_id` INT(11) NOT NULL DEFAULT '0' AFTER `transaction_id`;
ALTER TABLE `finance_sales_adjustments` ADD `reverse_transaction_id` INT(11) NOT NULL DEFAULT '0' AFTER `transaction_id`;
ALTER TABLE `finance_purchases_received` ADD `reverse_transaction_id` INT(11) NOT NULL DEFAULT '0' AFTER `listing_id`;
ALTER TABLE `finance_purchases_adjustments` ADD `reverse_transaction_id` INT(11) NOT NULL DEFAULT '0' AFTER `transaction_id`;
ALTER TABLE `finance_expenses` ADD `reverse_transaction_id` INT(11) NOT NULL DEFAULT '0' AFTER `transaction_id`;
ALTER TABLE `finance_sales_point_of_sales` ADD `reverse_transaction_id` INT(11) NOT NULL DEFAULT '0' AFTER `transaction_id`;
ALTER TABLE `contacts_contacts` ADD `access` TEXT NOT NULL AFTER `shipping_zipcode`;
ALTER TABLE `finance_account_transactions` ADD `sales_listing_id` INT(11) NOT NULL DEFAULT '0' AFTER `transaction_number`;
ALTER TABLE `finance_account_transactions` ADD `purchases_listing_id` INT(11) NOT NULL DEFAULT '0' AFTER `sales_listing_id`;
ALTER TABLE `finance_purchases_returns` CHANGE `order_id` `received_id` INT(11) NOT NULL DEFAULT '0';
ALTER TABLE `finance_sales_returns` CHANGE `invoice_id` `shipment_id` INT(11) NOT NULL DEFAULT '0';

ALTER TABLE `contacts_contacts` ADD `account_number` VARCHAR(20) NOT NULL AFTER `contact_id`;

ALTER TABLE `finance_sales_invoices` ADD `deposit_applied` DOUBLE(10,2) NOT NULL AFTER `tax_total`;
ALTER TABLE `finance_sales_invoices` ADD `deposit_payment_id` INT(11) NOT NULL DEFAULT '0' AFTER `transaction_id`;
ALTER TABLE `finance_sales_payments` ADD `account_credit_applied` DOUBLE(10,2) NOT NULL AFTER `to_account`;
ALTER TABLE `finance_sales_payments` CHANGE `type` `type` TEXT NOT NULL;
ALTER TABLE `finance_sales_payments` ADD `item` VARCHAR(150) NOT NULL AFTER `type`;
ALTER TABLE `finance_sales_payments` ADD `new_balance` DOUBLE(10,2) NOT NULL AFTER `balance`;
ALTER TABLE `finance_sales_payments` ADD `deposit_info` TEXT NOT NULL AFTER `account_credit_applied`;
ALTER TABLE `finance_sales_payments` ADD `credit_info` TEXT NOT NULL AFTER `deposit_info`;
ALTER TABLE `finance_sales_payments` CHANGE `note` `admin_note` VARCHAR(350) NOT NULL;
ALTER TABLE `finance_sales_payments` ADD `comment` VARCHAR(350) NOT NULL AFTER `new_balance`;
ALTER TABLE `finance_sales_adjustments` ADD `bad_debt_relief` CHAR(1) NOT NULL AFTER `type`;
ALTER TABLE `finance_sales_adjustments` ADD `return_id` INT(11) NOT NULL DEFAULT '0' AFTER `invoice_id`;
ALTER TABLE `finance_sales_adjustments` CHANGE `refund_shipping_amount` `shipping` DOUBLE(10,2) NOT NULL AFTER `manual_discount`;
ALTER TABLE `finance_sales_adjustments` ADD `return_shipping` DOUBLE(10,2) NOT NULL AFTER `shipping`;
ALTER TABLE `finance_sales_shipments` CHANGE `shipping_number` `shipment_number` VARCHAR(30) NOT NULL;
ALTER TABLE `finance_sales_returns` CHANGE `shipping_date` `return_date` DATE NULL DEFAULT NULL;
ALTER TABLE `finance_sales_returns` ADD `invoice_id` INT(11) NOT NULL DEFAULT '0' AFTER `shipment_id`;
ALTER TABLE `finance_sales_returns` ADD `return_shipping` DOUBLE(10,2) NOT NULL AFTER `shipping`;
ALTER TABLE `matters_billing_invoices` CHANGE `note` `admin_note` TEXT NULL DEFAULT NULL;
ALTER TABLE `matters_billing_invoices` ADD `comment` VARCHAR(350) NOT NULL AFTER `payment_term`;
ALTER TABLE `matters_billing_invoices` ADD `deposit_applied` DOUBLE(10,2) NOT NULL AFTER `invoice_total`;
ALTER TABLE `matters_billing_invoices` ADD `schedule_items` VARCHAR(250) NOT NULL DEFAULT '[]' AFTER `billing_items`;
ALTER TABLE `matters_billing_invoices` ADD `deposit_applied_date` DATE NULL AFTER `deposit_applied`;
ALTER TABLE `matters_billing_invoices` ADD `type` VARCHAR(30) NOT NULL AFTER `contact`;
ALTER TABLE `matters_billing_adjustments` CHANGE `actions` `billing_items` TEXT NOT NULL;
ALTER TABLE `matters_billing_adjustments` ADD `schedule_items` VARCHAR(250) NOT NULL DEFAULT '[]' AFTER `billing_items`;
ALTER TABLE `matters_billing_adjustments` ADD `bad_debt_relief` CHAR(1) NOT NULL AFTER `type`;
ALTER TABLE `matters_billing_adjustments` CHANGE `note` `admin_note` VARCHAR(350) NOT NULL;
ALTER TABLE `matters_billing_adjustments` ADD `comment` VARCHAR(350) NOT NULL AFTER `payment_term`;
ALTER TABLE `finance_items_shipping` ADD `shipping_charge` VARCHAR(20) NOT NULL AFTER `shipping_id`;

ALTER TABLE `finance_sales_quotes` ADD `shipping_tax_code` VARCHAR(10) NOT NULL AFTER `shipping_method`;
ALTER TABLE `finance_sales_quotes` ADD `shipping_taxable` CHAR(1) NOT NULL AFTER `shipping_method`;
ALTER TABLE `finance_sales_orders` ADD `shipping_tax_code` VARCHAR(10) NOT NULL AFTER `shipping_method`;
ALTER TABLE `finance_sales_orders` ADD `shipping_taxable` CHAR(1) NOT NULL AFTER `shipping_method`;
ALTER TABLE `finance_sales_invoices` ADD `shipping_tax_code` VARCHAR(10) NOT NULL AFTER `shipping_method`;
ALTER TABLE `finance_sales_invoices` ADD `shipping_taxable` CHAR(1) NOT NULL AFTER `shipping_method`;
ALTER TABLE `finance_sales_shipments` ADD `shipping_tax_code` VARCHAR(10) NOT NULL AFTER `shipping_method`;
ALTER TABLE `finance_sales_shipments` ADD `shipping_taxable` CHAR(1) NOT NULL AFTER `shipping_method`;
ALTER TABLE `finance_sales_returns` ADD `shipping_tax_code` VARCHAR(10) NOT NULL AFTER `shipping_method`;
ALTER TABLE `finance_sales_returns` ADD `shipping_taxable` CHAR(1) NOT NULL AFTER `shipping_method`;
ALTER TABLE `finance_sales_adjustments` ADD `shipping_tax_code` VARCHAR(10) NOT NULL AFTER `shipping_method`;
ALTER TABLE `finance_sales_adjustments` ADD `shipping_taxable` CHAR(1) NOT NULL AFTER `shipping_method`;

ALTER TABLE `finance_purchases_adjustments` ADD `shipping_method` VARCHAR(30) NOT NULL AFTER `reason`;
ALTER TABLE `finance_purchases_adjustments` ADD `shipping_tax_code` VARCHAR(10) NOT NULL AFTER `shipping_method`;
ALTER TABLE `finance_purchases_adjustments` ADD `shipping_taxable` CHAR(1) NOT NULL AFTER `shipping_method`;
ALTER TABLE `finance_purchases_orders` ADD `shipping_tax_code` VARCHAR(10) NOT NULL AFTER `shipping_method`;
ALTER TABLE `finance_purchases_orders` ADD `shipping_taxable` CHAR(1) NOT NULL AFTER `shipping_method`;
ALTER TABLE `finance_purchases_quotes` ADD `shipping_tax_code` VARCHAR(10) NOT NULL AFTER `shipping_method`;
ALTER TABLE `finance_purchases_quotes` ADD `shipping_taxable` CHAR(1) NOT NULL AFTER `shipping_method`;
ALTER TABLE `finance_purchases_received` ADD `shipping_tax_code` VARCHAR(10) NOT NULL AFTER `shipping_method`;
ALTER TABLE `finance_purchases_received` ADD `shipping_taxable` CHAR(1) NOT NULL AFTER `shipping_method`;
ALTER TABLE `finance_purchases_request` ADD `shipping_tax_code` VARCHAR(10) NOT NULL AFTER `shipping_method`;
ALTER TABLE `finance_purchases_request` ADD `shipping_taxable` CHAR(1) NOT NULL AFTER `shipping_method`;
ALTER TABLE `finance_purchases_returns` ADD `shipping_tax_code` VARCHAR(10) NOT NULL AFTER `shipping_method`;
ALTER TABLE `finance_purchases_returns` ADD `shipping_taxable` CHAR(1) NOT NULL AFTER `shipping_method`;

RENAME TABLE `finance_items_discounts` TO `finance_sales_discounts`;
RENAME TABLE `finance_items_shipping` TO `finance_sales_shipping`;
ALTER TABLE `onlinestore_shoppingcarts` ADD `shipping_index` VARCHAR(10) NOT NULL AFTER `shipper`;
ALTER TABLE `onlinestore_shoppingcarts` ADD `shipping_taxable` CHAR(1) NOT NULL AFTER `shipping_index`;
ALTER TABLE `finance_items_lists` CHANGE `image_download` `photo_download` TEXT NOT NULL;
ALTER TABLE `finance_items_lists` CHANGE `image_options` `photo_options` TEXT NOT NULL;
ALTER TABLE `finance_items_lists` ADD `average_cost` DOUBLE(10,2) NOT NULL AFTER `type`;
ALTER TABLE `finance_items_transactions` CHANGE `section` `stage` VARCHAR(150) NOT NULL;
ALTER TABLE `finance_items_transactions` ADD `contact` VARCHAR(300) NOT NULL AFTER `listing_id`;
ALTER TABLE `finance_items_transactions` ADD `company` VARCHAR(300) NOT NULL AFTER `contact`;
ALTER TABLE `finance_items_transactions` ADD `unit_price` DOUBLE(10,2) NOT NULL AFTER `item_number`;
ALTER TABLE `finance_items_transactions` CHANGE `item_id` `data_id` INT(11) NOT NULL DEFAULT '0';
ALTER TABLE `finance_items_transactions` CHANGE `item_number` `data_number` VARCHAR(100) NOT NULL;
ALTER TABLE `finance_items_transactions` CHANGE `section` `action` VARCHAR(150) NOT NULL;
ALTER TABLE `finance_items_transactions` ADD `contact_id` INT(11) NOT NULL DEFAULT '0' AFTER `listing_id`;

ALTER TABLE `finance_purchases_payments` ADD `account_debit_applied` DOUBLE(10,2) NOT NULL AFTER `to_account`;
ALTER TABLE `finance_purchases_payments` CHANGE `type` `type` TEXT NOT NULL;
ALTER TABLE `finance_purchases_payments` ADD `item` VARCHAR(150) NOT NULL AFTER `type`;
ALTER TABLE `finance_purchases_payments` ADD `new_balance` DOUBLE(10,2) NOT NULL AFTER `balance`;
ALTER TABLE `finance_purchases_payments` ADD `deposit_info` TEXT NOT NULL AFTER `account_debit_applied`;
ALTER TABLE `finance_purchases_payments` ADD `debit_info` TEXT NOT NULL AFTER `deposit_info`;
ALTER TABLE `finance_purchases_payments` CHANGE `note` `admin_note` VARCHAR(350) NOT NULL;
ALTER TABLE `finance_purchases_payments` ADD `comment` VARCHAR(350) NOT NULL AFTER `new_balance`;
ALTER TABLE `finance_purchases_orders` ADD `deposit_applied` DOUBLE(10,2) NOT NULL AFTER `total`;
ALTER TABLE `finance_purchases_orders` ADD `deposit_payment_id` INT(11) NOT NULL DEFAULT '0' AFTER `quote_id`;
ALTER TABLE `finance_purchases_orders` ADD `transaction_id` INT(11) NOT NULL DEFAULT '0' AFTER `quote_id`;
ALTER TABLE `finance_purchases_orders` ADD `reverse_transaction_id` INT(11) NOT NULL DEFAULT '0' AFTER `transaction_id`;
ALTER TABLE `finance_purchases_returns` ADD `return_shipping` TEXT NOT NULL AFTER `shipping`;
ALTER TABLE `finance_purchases_adjustments` ADD `return_shipping` TEXT NOT NULL AFTER `shipping`;
ALTER TABLE `finance_purchases_adjustments` ADD `return_id` INT(11) NOT NULL DEFAULT '0' AFTER `order_id`;
ALTER TABLE `finance_purchases_adjustments` ADD `bad_debt_relief` CHAR(1) NOT NULL AFTER `type`;
ALTER TABLE `finance_purchases_adjustments` CHANGE `send_from` `send_to` VARCHAR(350) NOT NULL;

ALTER TABLE `organization_merchant_accounts` ADD `online_payment_by_member` TEXT NOT NULL AFTER `paypalcurrency`;

ALTER TABLE `hr_payroll_statements` CHANGE `base_pay` `base_pay` varchar(15) NOT NULL AFTER `period`;

ALTER TABLE `hr_benefits_packages` CHANGE `us_401k_employer_match_rate` `us_employer_401k_match_rate` double(4,2) DEFAULT '0.00' AFTER `us_401k_contribution_rate`;
ALTER TABLE `hr_benefits_packages` CHANGE `my_epf_employer_match_rate` `my_employer_epf_rate` double(4,2) DEFAULT '0.00' AFTER `my_epf_contribution_rate`;
ALTER TABLE `hr_benefits_packages` CHANGE `my_epf_deduction_limit` `my_employer_epf_under5000_rate` double(10,2) DEFAULT '0.00' AFTER `my_employer_epf_rate`;
ALTER TABLE `hr_benefits_packages` CHANGE `in_epf_employer_match_rate` `in_epf_employer_contribution_rate` double(4,2) DEFAULT '0.00' AFTER `in_epf_contribution_rate`;

ALTER TABLE `hr_staff_benefits` CHANGE `us_401k_employer_match_rate` `us_employer_401k_match_rate` double(4,2) DEFAULT '0.00';
ALTER TABLE `hr_staff_benefits` CHANGE `my_epf_employer_match_rate` `my_employer_epf_rate` double(4,2) DEFAULT '0.00' AFTER `my_epf_contribution_rate`;
ALTER TABLE `hr_staff_benefits` CHANGE `my_epf_deduction_limit` `my_employer_epf_under5000_rate` double(10,2) DEFAULT '0.00' AFTER `my_employer_epf_rate`;
ALTER TABLE `hr_staff_benefits` CHANGE `in_epf_employer_match_rate` `in_epf_employer_contribution_rate` double(4,2) DEFAULT '0.00' AFTER `in_epf_contribution_rate`;

ALTER TABLE `hr_payroll_statements` ADD `my_health_insurance` double(10,2) DEFAULT NULL AFTER `my_unpaid_leave`;
ALTER TABLE `hr_payroll_statements` CHANGE `my_epf` `my_epf_contribution` double(10,2) DEFAULT NULL AFTER `my_health_insurance`;
ALTER TABLE `hr_payroll_statements` CHANGE `my_socso` `my_socso_contribution` double(10,2) DEFAULT NULL AFTER `my_epf_contribution`;
ALTER TABLE `hr_payroll_statements` CHANGE `my_zakat` `my_zakat_contribution` double(10,2) DEFAULT NULL AFTER `my_socso_contribution`;

ALTER TABLE `hr_staff_benefits` ADD `my_epf_number` varchar(50) NOT NULL AFTER `oc_retirement_contribution_rate`;
ALTER TABLE `hr_staff_benefits` CHANGE `my_epf_number` `my_epf_number` varchar(50) NOT NULL AFTER `my_employer_epf_under5000_rate`;

ALTER TABLE `hr_insurance_rates` DROP `employer_sdi_rate`;
ALTER TABLE `hr_insurance_rates` ADD `us_state` int(11) DEFAULT NULL AFTER `country`;
ALTER TABLE `hr_insurance_rates` CHANGE `us_state` `state` int(11) DEFAULT NULL AFTER `country`;
ALTER TABLE `hr_insurance_rates` CHANGE `us_health_insurance_rate_table` `health_insurance_rate_table` varchar(3000) NOT NULL AFTER `state`;

ALTER TABLE `hr_tax_rates` ADD `employer_ett_rate` double(10,2) DEFAULT NULL AFTER `us_local_income_tax_rate`;
ALTER TABLE `hr_tax_rates` ADD `ett_wage_limit` double(10,2) DEFAULT NULL AFTER `employer_ett_rate`;

ALTER TABLE `hr_insurance_rates` ADD `last_saved` varchar(30) NOT NULL AFTER `us_sdi_rate`;
ALTER TABLE `hr_insurance_rates` CHANGE `last_saved` `last_saved` varchar(40) NOT NULL AFTER `us_sdi_rate`;
ALTER TABLE `hr_tax_rates` ADD `last_saved` varchar(40) NOT NULL AFTER `ett_wage_limit`;

ALTER TABLE `hr_payroll_statements` CHANGE `in_epf` `in_epf_contribution` double(10,2) DEFAULT NULL AFTER `in_unpaid_leave`;
ALTER TABLE `hr_payroll_statements` CHANGE `employer_worker_comp_insurance` `employer_worker_comp_insurance` double(10,2) DEFAULT NULL AFTER `employer_health_insurance`;
ALTER TABLE `hr_payroll_statements` CHANGE `employer_unemployment_insurance` `employer_unemployment_insurance` double(10,2) DEFAULT NULL AFTER `employer_worker_comp_insurance`;
ALTER TABLE `hr_payroll_statements` ADD `employer_employment_training_tax` double(10,2) DEFAULT NULL AFTER `employer_unemployment_insurance`;
ALTER TABLE `hr_payroll_statements` DROP `employer_state_sdi`;

ALTER TABLE `hr_tax_rates` ADD `employer_socso_rate` double(10,2) DEFAULT NULL AFTER `my_socso_rate`;
ALTER TABLE `hr_payroll_statements` CHANGE `employer_health_insurance` `employer_health_insurance` double(10,2) DEFAULT NULL AFTER `earning_distribution`;

ALTER TABLE `hr_payroll_statements` ADD `transaction_id` INT(11) NOT NULL DEFAULT '0' AFTER `statement_id`;
ALTER TABLE `hr_payroll_settlements` ADD `transaction_id` INT(11) NOT NULL DEFAULT '0' AFTER `settlement_id`;
ALTER TABLE `hr_payroll_statements` ADD `date_issued` DATE NULL DEFAULT NULL AFTER `user_id`;
ALTER TABLE `hr_staff_details` CHANGE `payment_method` `payment_method` INT(11) NULL DEFAULT NULL;

ALTER TABLE `user_accounts` ADD `finance_report_dates` VARCHAR(50) NULL DEFAULT NULL AFTER `password_history`;

ALTER TABLE `finance_sales_shipping` ADD `shipping_service` VARCHAR(100) NOT NULL AFTER `shipping_id`;
ALTER TABLE `finance_sales_shipping` ADD `first_options` TEXT NOT NULL AFTER `shipping_service`;
ALTER TABLE `finance_sales_shipping` ADD `additional_options` TEXT NOT NULL AFTER `first_options`;
ALTER TABLE `finance_sales_shipping` ADD `default_service` CHAR(1) NOT NULL DEFAULT 'N' AFTER `additional_options`;
ALTER TABLE `finance_sales_shipping` ADD `taxable` CHAR(1) NOT NULL AFTER `additional_options`;
ALTER TABLE `finance_sales_shipping` ADD `tax_rate_id` INT(11) NOT NULL DEFAULT '0' AFTER `taxable`;
ALTER TABLE `finance_sales_shipping` ADD `maximum_weight` DOUBLE(10,2) NOT NULL AFTER `additional_options`;
ALTER TABLE `finance_sales_shipping` ADD `handling_fee` DOUBLE(10,2) NOT NULL AFTER `maximum_weight`;
ALTER TABLE `finance_sales_shipping` ADD `country_id` INT(11) NOT NULL DEFAULT '0' AFTER `shipping_id`;

ALTER TABLE `finance_purchases_shipping` ADD `shipping_service` VARCHAR(100) NOT NULL AFTER `shipping_id`;
ALTER TABLE `finance_purchases_shipping` ADD `taxable` CHAR(1) NOT NULL AFTER `shipping_service`
ALTER TABLE `finance_purchases_shipping` ADD `tax_rate_id` INT(11) NOT NULL DEFAULT '0' AFTER `taxable`;
ALTER TABLE `finance_purchases_shipping` ADD `options` TEXT NOT NULL AFTER `tax_rate_id`;
ALTER TABLE `finance_purchases_shipping` ADD `default_service` CHAR(1) NOT NULL DEFAULT 'N' AFTER `options`;

ALTER TABLE `hr_tax_rates` ADD `us_federal_income_tax_exemptions` TEXT AFTER `us_federal_income_tax_table`;
ALTER TABLE `hr_tax_rates` ADD `us_state_income_tax_exemptions` TEXT AFTER `us_state_income_tax_table`;
ALTER TABLE `hr_tax_rates` ADD `us_state_income_tax_low_income` TEXT AFTER `us_state_income_tax_exemptions`;
ALTER TABLE `hr_tax_rates` ADD `type` VARCHAR(20) NOT NULL AFTER `country`;
ALTER TABLE `hr_job_applications` ADD `display` VARCHAR(20) NOT NULL AFTER `email_address`;

ALTER TABLE `finance_items_lists` CHANGE `discount` `price_cut` DOUBLE(10,2) NOT NULL DEFAULT '0.00';

ALTER TABLE `finance_sales_invoices` ADD `bad_debt_relief` CHAR(1) NOT NULL DEFAULT 'N' AFTER `total`;
ALTER TABLE `finance_sales_invoices` ADD `write_off_date` DATE NULL AFTER `bad_debt_relief`;
ALTER TABLE `finance_sales_invoices` ADD `recovered_date` DATE NULL AFTER `write_off_date`;
ALTER TABLE `finance_sales_adjustments` ADD `write_off_date` DATE NULL AFTER `bad_debt_relief`;
ALTER TABLE `finance_sales_adjustments` ADD `recovered_date` DATE NULL AFTER `write_off_date`;
ALTER TABLE `matters_billing_invoices` ADD `bad_debt_relief` CHAR(1) NOT NULL DEFAULT 'N' AFTER `payment_term`;
ALTER TABLE `matters_billing_invoices` ADD `write_off_date` DATE NULL AFTER `bad_debt_relief`;
ALTER TABLE `matters_billing_invoices` ADD `recovered_date` DATE NULL AFTER `write_off_date`;
ALTER TABLE `matters_billing_adjustments` ADD `write_off_date` DATE NULL AFTER `bad_debt_relief`;
ALTER TABLE `matters_billing_adjustments` ADD `recovered_date` DATE NULL AFTER `write_off_date`;
ALTER TABLE `finance_purchases_adjustments` ADD `write_off_date` DATE NULL AFTER `bad_debt_relief`;
ALTER TABLE `finance_purchases_adjustments` ADD `recovered_date` DATE NULL AFTER `write_off_date`;

ALTER TABLE `matters_billing_adjustments` ADD `item_prices` TEXT NOT NULL AFTER `schedule_items`;

ALTER TABLE `finance_sales_listings` ADD `currency_rate` DOUBLE(10,4) NOT NULL AFTER `currency_id`;
ALTER TABLE `finance_sales_invoices` ADD `deposit_rate` DOUBLE(10,4) NOT NULL DEFAULT '1.0000' AFTER `deposit_applied`;
ALTER TABLE `finance_purchases_listings` ADD `currency_rate` DOUBLE(10,4) NOT NULL AFTER `currency_id`;
ALTER TABLE `finance_purchases_orders` ADD `deposit_rate` DOUBLE(10,4) NOT NULL DEFAULT '1.0000' AFTER `deposit_applied`;

ALTER TABLE `finance_account_transactions` ADD `unrealized_currency` CHAR(1) NOT NULL DEFAULT 'N' AFTER `user_id`;
ALTER TABLE `finance_account_transactions` ADD `currency_id` INT(11) NOT NULL DEFAULT '0' AFTER `description`;
ALTER TABLE `finance_account_transactions` ADD `currency_rate` DOUBLE(10,4) NOT NULL AFTER `currency_id`;

ALTER TABLE `hr_staff_details` CHANGE `forms` `documents` TEXT NULL DEFAULT NULL;
ALTER TABLE `hr_staff_details` ADD `w4_allowances` VARCHAR(222) NOT NULL AFTER `tax_filing_status`;
ALTER TABLE `hr_staff_details` ADD `additional_withheld` VARCHAR(222) NOT NULL AFTER `w4_allowances`;
ALTER TABLE `hr_benefits_packages` ADD `commission_rate` DOUBLE(4,2) NOT NULL AFTER `bonus_rate`;
ALTER TABLE `hr_staff_benefits` ADD `commission_rate` DOUBLE(4,2) NOT NULL AFTER `bonus_rate`;
ALTER TABLE `hr_payroll_statements` ADD `us_commission` double(10,2) DEFAULT NULL AFTER `us_bonus`;
ALTER TABLE `hr_payroll_statements` ADD `my_commission` double(10,2) DEFAULT NULL AFTER `my_bonus`;
ALTER TABLE `hr_payroll_statements` ADD `in_commission` double(10,2) DEFAULT NULL AFTER `in_bonus`;
ALTER TABLE `hr_payroll_statements` ADD `oc_commission` double(10,2) DEFAULT NULL AFTER `oc_bonus`;
ALTER TABLE `hr_payroll_statements` ADD `us_staff_pay` DOUBLE(10,2) NULL AFTER `us_sdi`;
ALTER TABLE `hr_payroll_statements` ADD `my_staff_pay` DOUBLE(10,2) NULL AFTER `my_income_tax`;
ALTER TABLE `hr_payroll_statements` ADD `in_staff_pay` DOUBLE(10,2) NULL AFTER `in_income_tax`;
ALTER TABLE `hr_payroll_statements` ADD `oc_staff_pay` DOUBLE(10,2) NULL AFTER `oc_income_tax`;
ALTER TABLE `hr_tax_rates` ADD `us_federal_w4_allowance` DOUBLE(10,2) NOT NULL AFTER `us_federal_income_tax_exemptions`;
ALTER TABLE `hr_tax_rates` ADD `us_state_w4_allowance` DOUBLE(10,4) NOT NULL AFTER `us_state_income_tax_low_income`;
ALTER TABLE `hr_tax_rates` ADD `us_medicare_wage_base_limit` DOUBLE(10,2) NULL AFTER `us_medicare_tax_rate`;

ALTER TABLE `finance_taxes` ADD `tax_filing` VARCHAR(20) NOT NULL AFTER `type`;
ALTER TABLE `common_settings` ADD `letterhead_print_margins` VARCHAR(50) NOT NULL AFTER `letterhead_address`;

ALTER TABLE `hr_insurance_rates` CHANGE `employer_unemployment_insurance_rate` `unemployment_insurance` VARCHAR(150) NOT NULL;
ALTER TABLE `hr_insurance_rates` CHANGE `us_sdi_rate` `us_sdi` VARCHAR(150) NOT NULL;

ALTER TABLE `hr_tax_rates` CHANGE `us_social_security_tax_rate` `us_social_security_tax` VARCHAR(150) NULL;
ALTER TABLE `hr_tax_rates` CHANGE `us_medicare_tax_rate` `us_medicare_tax` VARCHAR(150) NULL DEFAULT NULL;
ALTER TABLE `hr_tax_rates` CHANGE `employer_ett_rate` `employment_training_tax` VARCHAR(150) NULL DEFAULT NULL;
ALTER TABLE `hr_payroll_statements` ADD `ratio` DOUBLE(12,4) NOT NULL AFTER `employer_medicare`;
ALTER TABLE `hr_payroll_settlements` CHANGE `date_paid` `date_paid` DATE NULL;

ALTER TABLE `finance_chart_of_accounts` CHANGE `prepared_opening_balance` `prepared_opening_balance` TEXT NOT NULL;
ALTER TABLE `finance_chart_of_accounts` CHANGE `processed_opening_balance` `processed_opening_balance` TEXT NOT NULL;
ALTER TABLE `finance_chart_of_accounts` CHANGE `prepared_balance` `prepared_balance` TEXT NOT NULL;
ALTER TABLE `finance_chart_of_accounts` CHANGE `processed_balance` `processed_balance` TEXT NOT NULL;
ALTER TABLE `finance_account_transactions` ADD `end_year_adjustment` CHAR(1) NOT NULL DEFAULT 'N' AFTER `unrealized_currency`;

ALTER TABLE `hr_benefits_packages` ADD `my_health_insurance_plan` VARCHAR(30) NOT NULL AFTER `us_401k_match_limit`;
ALTER TABLE `hr_staff_benefits` ADD `my_health_insurance_plan` VARCHAR(100) NOT NULL AFTER `us_401k_match_limit`;

ALTER TABLE `finance_items_lists` ADD `taxable` CHAR(1) NOT NULL DEFAULT 'N' AFTER `type`;
ALTER TABLE `matters_billing_codes` ADD `taxable` CHAR(1) NOT NULL DEFAULT 'N' AFTER `charge_type`;
ALTER TABLE `matters_billing_codes` ADD `tax_code` INT(11) NOT NULL DEFAULT '0' AFTER `amount`;

ALTER TABLE `finance_purchases_request` ADD `use_tax_accounting` VARCHAR(1) NOT NULL DEFAULT 'N' AFTER `use_tax`;
ALTER TABLE `finance_purchases_orders` ADD `use_tax_accounting` VARCHAR(1) NOT NULL DEFAULT 'N' AFTER `use_tax`;
ALTER TABLE `finance_purchases_received` ADD `use_tax_accounting` VARCHAR(1) NOT NULL DEFAULT 'N' AFTER `use_tax`;
ALTER TABLE `finance_purchases_quotes` ADD `use_tax_accounting` VARCHAR(1) NOT NULL DEFAULT 'N' AFTER `use_tax`;
ALTER TABLE `finance_purchases_returns` ADD `use_tax_accounting` VARCHAR(1) NOT NULL DEFAULT 'N' AFTER `use_tax`;
ALTER TABLE `finance_purchases_adjustments` ADD `use_tax_accounting` VARCHAR(1) NOT NULL DEFAULT 'N' AFTER `use_tax`;

ALTER TABLE `finance_sales_payments` ADD `reverse_transaction_id` INT(11) NOT NULL DEFAULT '0' AFTER `transaction_id`;
ALTER TABLE `finance_purchases_payments` ADD `reverse_transaction_id` INT(11) NOT NULL DEFAULT '0' AFTER `transaction_id`;
ALTER TABLE `finance_sales_returns` ADD `reverse_transaction_id` INT(11) NOT NULL DEFAULT '0' AFTER `transaction_id`;
ALTER TABLE `finance_purchases_returns` ADD `reverse_transaction_id` INT(11) NOT NULL DEFAULT '0' AFTER `transaction_id`;
ALTER TABLE `finance_purchases_returns` ADD `disposition` VARCHAR(150) NOT NULL AFTER `shipping_term`;

ALTER TABLE `finance_expenses` ADD `description` VARCHAR(350) NOT NULL AFTER `address`;

ALTER TABLE `matters_billing_invoices` ADD `item_taxables` TEXT NOT NULL AFTER `schedule_items`;
ALTER TABLE `matters_billing_invoices` ADD `item_tax_codes` TEXT NOT NULL AFTER `item_taxables`;
ALTER TABLE `matters_billing_invoices` ADD `total_discount` DOUBLE(10,2) NOT NULL AFTER `subtotal`;
ALTER TABLE `matters_billing_invoices` ADD `total_tax` DOUBLE(10,2) NOT NULL AFTER `total_discount`;

ALTER TABLE `matters_billing_adjustments` ADD `item_taxables` TEXT NOT NULL AFTER `schedule_items`;
ALTER TABLE `matters_billing_adjustments` ADD `item_tax_codes` TEXT NOT NULL AFTER `item_taxables`;
ALTER TABLE `matters_billing_adjustments` ADD `total_reverse_discount` DOUBLE(10,2) NOT NULL AFTER `subtotal`;
ALTER TABLE `matters_billing_adjustments` ADD `total_tax` DOUBLE(10,2) NOT NULL AFTER `total_reverse_discount`;

ALTER TABLE `finance_transfers` ADD `description` VARCHAR(350) NOT NULL AFTER `date`;

ALTER TABLE `helpdesk_tickets` ADD `company` VARCHAR(150) NOT NULL AFTER `name`;

ALTER TABLE `user_accounts` ADD `calendar_date` DATE NULL AFTER `contact_type_default`;
ALTER TABLE `user_accounts` ADD `calendar_view` VARCHAR(10) NOT NULL DEFAULT 'week' AFTER `calendar_date`;

ALTER TABLE `user_accounts` ADD `login_count` INT(11) NOT NULL DEFAULT '0' AFTER `status`;

ALTER TABLE `advertising_faq` CHANGE `faq_id` `information_id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;
RENAME TABLE `advertising_faq` TO `advertising_information`;

ALTER TABLE `finance_items_lists` ADD `depreciation` TEXT NOT NULL AFTER `quantity`;
ALTER TABLE `finance_account_transactions` ADD `fixed_asset_depreciation` CHAR(1) NOT NULL DEFAULT 'N' AFTER `unrealized_currency`;

ALTER TABLE `finance_sales_shipments` ADD `transaction_id` INT(11) NOT NULL DEFAULT '0' AFTER `invoice_id`;
ALTER TABLE `finance_sales_shipments` ADD `reverse_transaction_id` INT(11) NOT NULL DEFAULT '0' AFTER `transaction_id`;

ALTER TABLE `finance_items_order_items` ADD `contact_id` INT(11) NOT NULL DEFAULT '0' AFTER `order_id`;
ALTER TABLE `finance_items_order_items` CHANGE `order_id` `listing_id` INT(11) NULL DEFAULT NULL;

ALTER TABLE `finance_purchases_request` CHANGE `approval_by` `approval_by` INT(11) NULL DEFAULT '0';

ALTER TABLE `finance_account_transactions` CHANGE `transaction_number` `transaction_number` INT(11) NULL;

ALTER TABLE `contacts_contacts` ADD `licensing` TEXT NOT NULL AFTER `last_modified`;

RENAME TABLE `system_activities` TO `financial_activities`;

ALTER TABLE `display_style` ADD `button_border_color` VARCHAR(50) NOT NULL DEFAULT 'B9E0F6' AFTER `button_background_color_to`;
ALTER TABLE `display_style` ADD `button_hover_border_color` VARCHAR(50) NOT NULL DEFAULT '85A8C5' AFTER `button_border_color`;
ALTER TABLE `display_style` ADD `hover_border_color` VARCHAR(50) NOT NULL DEFAULT '85A8C5' AFTER `box_header_bg`;

ALTER TABLE `helpdesk_tickets` ADD `source` VARCHAR(100) NOT NULL AFTER `responded_replied`;
ALTER TABLE `events_listings` CHANGE `price` `price` DOUBLE(10,2) NULL DEFAULT NULL;
ALTER TABLE `helpdesk_tickets` CHANGE `attachment` `attachment` TEXT NULL;

ALTER TABLE `email_settings` ADD `incoming_email_valid` CHAR(1) NOT NULL DEFAULT 'Y' AFTER `incoming_email_security`;
ALTER TABLE `email_settings` ADD `outgoing_email_valid` CHAR(1) NOT NULL DEFAULT 'Y' AFTER `outgoing_email_password`;

ALTER TABLE `contacts_contacts` CHANGE `licensing` `system_licensing` text NOT NULL;


