<?php

extract($frontend_display_settings);

$custom_theme_properties = Theme::getCustomThemeProperties('Theme3', $color_scheme);

foreach($main_menus as $main_menu)
{
  $$main_menu['MainMenu']['useroption'] = $main_menu['MainMenu']['setting'];
}
?>

<?php if($this->MainMenu->getSetting("menustyle") == 3): ?>
    #tab_navigation ul li a {
        background: #<?php echo $custom_theme_properties['menu_background']; ?>;
        border-bottom-width: 0px;
    }
    
    #tab_navigation ul li a:hover, #tab_navigation ul li a.selected {
        background: #<?php echo $custom_theme_properties['menu_background_hover']; ?>
    }
<?php endif; ?>

#navigation_box {
    background: #<?php echo $custom_theme_properties['center_bar_background']; ?>;
}

#content_wrapper {
    -webkit-box-shadow: 0px 2px 6px 0px <?php echo $color_scheme_properties['field_border_color_hover']; ?>;
	-moz-box-shadow:    0px 2px 6px 0px <?php echo $color_scheme_properties['field_border_color_hover']; ?>;
	box-shadow:         0px 2px 6px 0px <?php echo $color_scheme_properties['field_border_color_hover']; ?>;
}

<?php if($this->SiteLayout->getSetting("page_style") == 'three_column'): ?>
    .content_wrapper {
        width: auto;
        margin: 0 92px;
    }
    .content_column {
        margin-right: 245px;
    }
    #content_wrapper, .content_wrapper_top {
        width: auto;
        margin: 0 70px;
    }
<?php else: ?>
    .right_column {
        display: none;
    }
<?php endif; ?>

.plugin_area .navigation_area {
	border-width: 0px;
}

h3.content_h3 {
	border-bottom: 1px solid #<?php echo $lines_and_borders; ?>;
}

h3.content_h3, h3.content_h3 a, .plugin_area .box h3 {
	font-size: <?php echo $header_font_size; ?>px !important;
    font-family: "<?php echo $body_font_family; ?>";
    color: #<?php echo $link_color; ?>;
	background: #<?php echo $box_header_bg; ?>;
    text-decoration: none;
}

h3.content_h3, h3.content_h3 a {
	background: none;
}

.box h3.left, .box h3.right {
	background: #<?php echo $custom_theme_properties['menu_background']; ?> !important;
	border-bottom: 1px solid #<?php echo $lines_and_borders; ?>;
	font-size: <?php echo ($body_font_size+1); ?>px;
	color: <?php echo $color_scheme_properties['link_color']; ?>;
}

.box {	
	border: 1px solid #<?php echo $lines_and_borders; ?>;
}

.full_content_column .box {	
	border: 0px solid #<?php echo $lines_and_borders; ?>;
}

.sf-menu li:hover, .sf-menu li.sfHover,
.sf-menu a:focus, .sf-menu a:hover, .sf-menu a:active {
	background: <?php echo $color_scheme_properties['sidemenu_hover']; ?>;
}

.plugin_area ul.sidemenu li {
	border-width: 0px;
}


#top_header {
	background: #<?php echo $custom_theme_properties['top_header_background']; ?>;
}

<?php if($menuincludemargin == 1): ?>
    .plugin_area .navigation_area {
        margin: 0px -20px;
    }
    .plugin_area .navigation_area ul {
        padding: 0px 22px;
    }
    .plugin_area #nav {
        margin: 0px -20px;
    }
<?php endif; ?>

<?php if($this->SiteLayout->getSetting("category_options") == 'dropdown'): ?>
	.left_column .plugin_area .box ul li a, .left_column .plugin_area .box ul li .text {
		background: #<?php echo $custom_theme_properties['menu_background']; ?>;
		border-bottom: 1px solid #<?php echo $lines_and_borders; ?>;
		color: <?php echo $color_scheme_properties['section_selected_text']; ?>;
	}
	.left_column .plugin_area .box ul li a:hover {
		background: #<?php echo $custom_theme_properties['menu_background_hover']; ?>;
	}
<?php endif; ?>

<?php if($this->SiteLayout->getSetting("category_options") == 'tree'): ?>
    .plugin_area .box h3.left {
        margin-bottom: 20px;
    }
    .plugin_area .box .box_content_left {
        padding: 0px 17px 17px;
    }
<?php endif; ?>

.plugin_area #footer_content #link_container a:link {
    color: #<?php echo $footer_font_color; ?> !important;
}

.plugin_area #footer_content #link_container a:visited {
    color: #<?php echo $footer_font_color; ?>  !important; 
}

.plugin_area #footer_content #link_container a:hover { 
    color: #<?php echo $footer_font_color; ?>  !important; 
}

.plugin_area #footer_content #link_container a:active {
    color: #<?php echo $footer_font_color; ?>  !important; 
}

#footer_container {
	background: #<?php echo $custom_theme_properties['footer_background']; ?>;
}

.plugin_area #footer_content .footer_text {
	color: #<?php echo $footer_font_color; ?>;
}

.plugin_area #footer_content .footer_text a:link {
    color: #<?php echo $footer_font_color; ?> !important;
}

.plugin_area #footer_content .footer_text a:visited {
    color: #<?php echo $footer_font_color; ?>  !important; 
}

.plugin_area #footer_content .footer_text a:hover { 
    color: #<?php echo $footer_font_color; ?>  !important; 
}

.plugin_area #footer_content .footer_text a:active {
    color: #<?php echo $footer_font_color; ?>  !important; 
}

/* apply column width here */
.left_column {
	width: <?php echo $this->SiteLayout->getSetting("left_column_width"); ?>px;
}
.content_column {
	overflow: hidden;
	margin-left: <?php echo ((int)$this->SiteLayout->getSetting("left_column_width")+20); ?>px;
}

<?php if($this->SiteLayout->getSetting("page_style") == 'three_column'): ?>
.right_column {
	width: <?php echo $this->SiteLayout->getSetting("right_column_width"); ?>px;
}
.content_column {
	margin-right: <?php echo ((int)$this->SiteLayout->getSetting("right_column_width")+20); ?>px;
}
<?php endif; ?>

/* column width end */