$(document).ready(function(){
	var uploader_photo = new plupload.Uploader({
		runtimes : 'html5,flash,silverlight,html4',
		browse_button : 'photo_select',
		url : upload_script,
		filters : [{title : "Image files", extensions : "jpg,gif,png"}],
		chunk_size: 1048576,
        multipart_params : {
            'folder' : 'hr/staff'
        },
		init: {
			FilesAdded: function(up, files) {
				plupload.each(files, function(file) {
					$('#photo_img').attr('src', webroot + 'img/blank.png');
					$('#photo_area_div').html("Uploading: 0%");
					
					if(typeof initAutoLock == 'function')
					{
						initAutoLock();
					}
					
					uploader_photo.start();
				});
			},
			UploadProgress: function(up, file) {
				$('#photo_area_div').html("Uploading: "+file.percent+"%");
			},
			FileUploaded: function(up, file, info) {
				var obj = JSON.parse(info.response);
				var uploaded_filename = obj.filename;
				var full_path_uploaded_filename = webroot+'documents/hr/staff/'+obj.filename;
				
				$('#photo_area_div').html("");
				$('#photo_img').attr('src', full_path_uploaded_filename);
				
				$('#photo_val').val(uploaded_filename);
				
				saveProfilePhoto(user_id, uploaded_filename, 'photo');
				
				if(typeof initAutoLock == 'function')
				{
					initAutoLock();
				}
			},
			Error: function(up, err) {
				//document.getElementById('console').innerHTML += "\nError #" + err.code + ": " + err.message;
			}
		}
	});
	
	uploader_photo.init();
	
	var uploader_license = new plupload.Uploader({
		runtimes : 'html5,flash,silverlight,html4',
		browse_button : 'id_card_select',
		url : upload_script,
		filters : [{title : "Image files", extensions : "jpg,gif,png"}],
		chunk_size: 1048576,
        multipart_params : {
            'folder' : 'hr/staff'
        },
		init: {
			FilesAdded: function(up, files) {
				plupload.each(files, function(file) {
					$('#driving_license_img').attr('src', webroot + 'img/blank.png');
					$('#driving_license_div').html("Uploading: 0%");
					
					if(typeof initAutoLock == 'function')
					{
						initAutoLock();
					}
					
					uploader_license.start();
				});
			},
			UploadProgress: function(up, file) {
				$('#driving_license_div').html("Uploading: "+file.percent+"%");
			},
			FileUploaded: function(up, file, info) {
				var obj = JSON.parse(info.response);
				var uploaded_filename = obj.filename;
				var full_path_uploaded_filename = webroot+'documents/hr/staff/'+obj.filename;
				
				$('#driving_license_div').html("");
				$('#driving_license_img').attr('src', full_path_uploaded_filename);
				
				$('#driving_license_val').val(uploaded_filename);
				
				saveProfilePhoto(user_id, uploaded_filename, 'license');
				
				if(typeof initAutoLock == 'function')
				{
					initAutoLock();
				}
			},
			Error: function(up, err) {
				//document.getElementById('console').innerHTML += "\nError #" + err.code + ": " + err.message;
			}
		}
	});
	
	uploader_license.init();
});

var current_photo_mode = 'photo';

function saveProfilePhoto(user_id, photo, pic_type)
{
	if(user_id == '')
	{
		return;
	}
	
	var formobj = $("<form></form>");
	formobj.append('<input name="data[UserAccount][user_id]" type="hidden" value="'+user_id+'">');
	
	if(pic_type == 'photo')
	{
		formobj.append('<input name="data[UserAccount][photo]" type="hidden" value="'+photo+'">');
		formobj.append('<input name="data[photo_type]" type="hidden" value="photo">');
	}
	else if(pic_type == 'license')
	{
		formobj.append('<input name="data[UserAccount][id_card]" type="hidden" value="'+photo+'">');
		formobj.append('<input name="data[photo_type]" type="hidden" value="license">');
	}
	
	$.post(
		save_photo_url, 
		formobj.serialize(), 
		function(data){
			if(pic_type == 'photo')
			{
				$('#btn_delete_image').show();
			}
			else if(pic_type == 'license')
			{
				$('#btn_delete_id').show();
			}
		}
	);
}

function delete_photo(url, user_id)
{
	getJSONDataByAjax(url, {'data[user_id]': user_id}, function(){}, function(data){
		$('#photo_img').attr('src', webroot + 'img/blank.png');
		$('#photo_val').val('');
		$('#photo_area_div').html('No Image');
		$('#btn_delete_image').hide();
	});
}

function delete_id_card(url, user_id)
{
	getJSONDataByAjax(url, {'data[user_id]': user_id}, function(){}, function(data){
		$('#driving_license_img').attr('src', webroot + 'img/blank.png');
		$('#driving_license_val').val('');
		$('#driving_license_div').html('No Image');
		$('#btn_delete_id').hide();
	});
}

